/*
 * Foundation Responsive Library
 * http://foundation.zurb.com
 * Copyright 2014, ZURB
 * Free to use under the MIT license.
 * http://www.opensource.org/licenses/mit-license.php
 */
! function(t, e, i, s) {
  "use strict";

  function n(t) {
    return ("string" == typeof t || t instanceof String) && (t = t.replace(/^['\\/"]+|(;\s?})+|['\\/"]+$/g, "")), t }
  var a = function(e) {
    for (var i = e.length, s = t("head"); i--;) 0 === s.has("." + e[i]).length && s.append('<meta class="' + e[i] + '" />') };
  a(["foundation-mq-small", "foundation-mq-small-only", "foundation-mq-medium", "foundation-mq-medium-only", "foundation-mq-large", "foundation-mq-large-only", "foundation-mq-xlarge", "foundation-mq-xlarge-only", "foundation-mq-xxlarge", "foundation-data-attribute-namespace"]), t(function() { "undefined" != typeof FastClick && "undefined" != typeof i.body && FastClick.attach(i.body) });
  var o = function(e, s) {
      if ("string" == typeof e) {
        if (s) {
          var n;
          if (s.jquery) {
            if (n = s[0], !n) return s } else n = s;
          return t(n.querySelectorAll(e)) }
        return t(i.querySelectorAll(e)) }
      return t(e, s) },
    r = function(t) {
      var e = [];
      return t || e.push("data"), this.namespace.length > 0 && e.push(this.namespace), e.push(this.name), e.join("-") },
    l = function(t) {
      for (var e = t.split("-"), i = e.length, s = []; i--;) 0 !== i ? s.push(e[i]) : this.namespace.length > 0 ? s.push(this.namespace, e[i]) : s.push(e[i]);
      return s.reverse().join("-") },
    d = function(e, i) {
      var s = this,
        n = function() {
          var n = o(this),
            a = !n.data(s.attr_name(!0) + "-init");
          n.data(s.attr_name(!0) + "-init", t.extend({}, s.settings, i || e, s.data_options(n))), a && s.events(this) };
      return o(this.scope).is("[" + this.attr_name() + "]") ? n.call(this.scope) : o("[" + this.attr_name() + "]", this.scope).each(n), "string" == typeof e ? this[e].call(this, i) : void 0 },
    h = function(t, e) {
      function i() { e(t[0]) }

      function s() {
        if (this.one("load", i), /MSIE (\d+\.\d+);/.test(navigator.userAgent)) {
          var t = this.attr("src"),
            e = t.match(/\?/) ? "&" : "?";
          e += "random=" + (new Date).getTime(), this.attr("src", t + e) } }
      return t.attr("src") ? void(t[0].complete || 4 === t[0].readyState ? i() : s.call(t)) : void i() }; /*! matchMedia() polyfill - Test a CSS media type/query in JS. Authors & copyright (c) 2012: Scott Jehl, Paul Irish, Nicholas Zakas, David Knight. Dual MIT/BSD license */
  e.matchMedia || (e.matchMedia = function() {
      var t = e.styleMedia || e.media;
      if (!t) {
        var s = i.createElement("style"),
          n = i.getElementsByTagName("script")[0],
          a = null;
        s.type = "text/css", s.id = "matchmediajs-test", n.parentNode.insertBefore(s, n), a = "getComputedStyle" in e && e.getComputedStyle(s, null) || s.currentStyle, t = { matchMedium: function(t) {
            var e = "@media " + t + "{ #matchmediajs-test { width: 1px; } }";
            return s.styleSheet ? s.styleSheet.cssText = e : s.textContent = e, "1px" === a.width } } }
      return function(e) {
        return { matches: t.matchMedium(e || "all"), media: e || "all" } } }()),
    /*
     * jquery.requestAnimationFrame
     * https://github.com/gnarf37/jquery-requestAnimationFrame
     * Requires jQuery 1.8+
     *
     * Copyright (c) 2012 Corey Frang
     * Licensed under the MIT license.
     */
    function(t) {
      function i() { s && (o(i), l && t.fx.tick()) }
      for (var s, n = 0, a = ["webkit", "moz"], o = e.requestAnimationFrame, r = e.cancelAnimationFrame, l = "undefined" != typeof t.fx; n < a.length && !o; n++) o = e[a[n] + "RequestAnimationFrame"], r = r || e[a[n] + "CancelAnimationFrame"] || e[a[n] + "CancelRequestAnimationFrame"];
      o ? (e.requestAnimationFrame = o, e.cancelAnimationFrame = r, l && (t.fx.timer = function(e) { e() && t.timers.push(e) && !s && (s = !0, i()) }, t.fx.stop = function() { s = !1 })) : (e.requestAnimationFrame = function(t) {
        var i = (new Date).getTime(),
          s = Math.max(0, 16 - (i - n)),
          a = e.setTimeout(function() { t(i + s) }, s);
        return n = i + s, a }, e.cancelAnimationFrame = function(t) { clearTimeout(t) }) }(t), e.Foundation = { name: "Foundation", version: "5.5.2", media_queries: { small: o(".foundation-mq-small").css("font-family").replace(/^[\/\\'"]+|(;\s?})+|[\/\\'"]+$/g, ""), "small-only": o(".foundation-mq-small-only").css("font-family").replace(/^[\/\\'"]+|(;\s?})+|[\/\\'"]+$/g, ""), medium: o(".foundation-mq-medium").css("font-family").replace(/^[\/\\'"]+|(;\s?})+|[\/\\'"]+$/g, ""), "medium-only": o(".foundation-mq-medium-only").css("font-family").replace(/^[\/\\'"]+|(;\s?})+|[\/\\'"]+$/g, ""), large: o(".foundation-mq-large").css("font-family").replace(/^[\/\\'"]+|(;\s?})+|[\/\\'"]+$/g, ""), "large-only": o(".foundation-mq-large-only").css("font-family").replace(/^[\/\\'"]+|(;\s?})+|[\/\\'"]+$/g, ""), xlarge: o(".foundation-mq-xlarge").css("font-family").replace(/^[\/\\'"]+|(;\s?})+|[\/\\'"]+$/g, ""), "xlarge-only": o(".foundation-mq-xlarge-only").css("font-family").replace(/^[\/\\'"]+|(;\s?})+|[\/\\'"]+$/g, ""), xxlarge: o(".foundation-mq-xxlarge").css("font-family").replace(/^[\/\\'"]+|(;\s?})+|[\/\\'"]+$/g, "") }, stylesheet: t("<style></style>").appendTo("head")[0].sheet, global: { namespace: s }, init: function(t, i, s, n, a) {
        var r = [t, s, n, a],
          l = [];
        if (this.rtl = /rtl/i.test(o("html").attr("dir")), this.scope = t || this.scope, this.set_namespace(), i && "string" == typeof i && !/reflow/i.test(i)) this.libs.hasOwnProperty(i) && l.push(this.init_lib(i, r));
        else
          for (var d in this.libs) l.push(this.init_lib(d, i));
        return o(e).load(function() { o(e).trigger("resize.fndtn.clearing").trigger("resize.fndtn.dropdown").trigger("resize.fndtn.equalizer").trigger("resize.fndtn.interchange").trigger("resize.fndtn.joyride").trigger("resize.fndtn.magellan").trigger("resize.fndtn.topbar").trigger("resize.fndtn.slider") }), t }, init_lib: function(e, i) {
        return this.libs.hasOwnProperty(e) ? (this.patch(this.libs[e]), i && i.hasOwnProperty(e) ? ("undefined" != typeof this.libs[e].settings ? t.extend(!0, this.libs[e].settings, i[e]) : "undefined" != typeof this.libs[e].defaults && t.extend(!0, this.libs[e].defaults, i[e]), this.libs[e].init.apply(this.libs[e], [this.scope, i[e]])) : (i = i instanceof Array ? i : new Array(i), this.libs[e].init.apply(this.libs[e], i))) : function() {} }, patch: function(t) { t.scope = this.scope, t.namespace = this.global.namespace, t.rtl = this.rtl, t.data_options = this.utils.data_options, t.attr_name = r, t.add_namespace = l, t.bindings = d, t.S = this.utils.S }, inherit: function(t, e) {
        for (var i = e.split(" "), s = i.length; s--;) this.utils.hasOwnProperty(i[s]) && (t[i[s]] = this.utils[i[s]]) }, set_namespace: function() {
        var e = this.global.namespace === s ? t(".foundation-data-attribute-namespace").css("font-family") : this.global.namespace;
        this.global.namespace = e === s || /false/i.test(e) ? "" : e }, libs: {}, utils: { S: o, throttle: function(t, e) {
          var i = null;
          return function() {
            var s = this,
              n = arguments;
            null == i && (i = setTimeout(function() { t.apply(s, n), i = null }, e)) } }, debounce: function(t, e, i) {
          var s, n;
          return function() {
            var a = this,
              o = arguments,
              r = function() { s = null, i || (n = t.apply(a, o)) },
              l = i && !s;
            return clearTimeout(s), s = setTimeout(r, e), l && (n = t.apply(a, o)), n } }, data_options: function(e, i) {
          function s(t) {
            return !isNaN(t - 0) && null !== t && "" !== t && t !== !1 && t !== !0 }

          function n(e) {
            return "string" == typeof e ? t.trim(e) : e }
          i = i || "options";
          var a, o, r, l = {},
            d = function(t) {
              var e = Foundation.global.namespace;
              return t.data(e.length > 0 ? e + "-" + i : i) },
            h = d(e);
          if ("object" == typeof h) return h;
          for (r = (h || ":").split(";"), a = r.length; a--;) o = r[a].split(":"), o = [o[0], o.slice(1).join(":")], /true/i.test(o[1]) && (o[1] = !0), /false/i.test(o[1]) && (o[1] = !1), s(o[1]) && (o[1] = -1 === o[1].indexOf(".") ? parseInt(o[1], 10) : parseFloat(o[1])), 2 === o.length && o[0].length > 0 && (l[n(o[0])] = n(o[1]));
          return l }, register_media: function(e, i) { Foundation.media_queries[e] === s && (t("head").append('<meta class="' + i + '"/>'), Foundation.media_queries[e] = n(t("." + i).css("font-family"))) }, add_custom_rule: function(t, e) {
          if (e === s && Foundation.stylesheet) Foundation.stylesheet.insertRule(t, Foundation.stylesheet.cssRules.length);
          else {
            var i = Foundation.media_queries[e];
            i !== s && Foundation.stylesheet.insertRule("@media " + Foundation.media_queries[e] + "{ " + t + " }", Foundation.stylesheet.cssRules.length) } }, image_loaded: function(t, e) {
          function i(t) {
            for (var e = t.length, i = e - 1; i >= 0; i--)
              if (t.attr("height") === s) return !1;
            return !0 }
          var n = this,
            a = t.length;
          (0 === a || i(t)) && e(t), t.each(function() { h(n.S(this), function() { a -= 1, 0 === a && e(t) }) }) }, random_str: function() {
          return this.fidx || (this.fidx = 0), this.prefix = this.prefix || [this.name || "F", (+new Date).toString(36)].join("-"), this.prefix + (this.fidx++).toString(36) }, match: function(t) {
          return e.matchMedia(t).matches }, is_small_up: function() {
          return this.match(Foundation.media_queries.small) }, is_medium_up: function() {
          return this.match(Foundation.media_queries.medium) }, is_large_up: function() {
          return this.match(Foundation.media_queries.large) }, is_xlarge_up: function() {
          return this.match(Foundation.media_queries.xlarge) }, is_xxlarge_up: function() {
          return this.match(Foundation.media_queries.xxlarge) }, is_small_only: function() {
          return !(this.is_medium_up() || this.is_large_up() || this.is_xlarge_up() || this.is_xxlarge_up()) }, is_medium_only: function() {
          return this.is_medium_up() && !this.is_large_up() && !this.is_xlarge_up() && !this.is_xxlarge_up() }, is_large_only: function() {
          return this.is_medium_up() && this.is_large_up() && !this.is_xlarge_up() && !this.is_xxlarge_up() }, is_xlarge_only: function() {
          return this.is_medium_up() && this.is_large_up() && this.is_xlarge_up() && !this.is_xxlarge_up() }, is_xxlarge_only: function() {
          return this.is_medium_up() && this.is_large_up() && this.is_xlarge_up() && this.is_xxlarge_up() } } }, t.fn.foundation = function() {
      var t = Array.prototype.slice.call(arguments, 0);
      return this.each(function() {
        return Foundation.init.apply(Foundation, [this].concat(t)), this }) }
}(jQuery, window, window.document),
function(t, e, i) { "use strict";
  Foundation.libs.abide = { name: "abide", version: "5.5.2", settings: { live_validate: !0, validate_on_blur: !0, focus_on_invalid: !0, error_labels: !0, error_class: "error", timeout: 1e3, patterns: { alpha: /^[a-zA-Z]+$/, alpha_numeric: /^[a-zA-Z0-9]+$/, integer: /^[-+]?\d+$/, number: /^[-+]?\d*(?:[\.\,]\d+)?$/, card: /^(?:4[0-9]{12}(?:[0-9]{3})?|5[1-5][0-9]{14}|6(?:011|5[0-9][0-9])[0-9]{12}|3[47][0-9]{13}|3(?:0[0-5]|[68][0-9])[0-9]{11}|(?:2131|1800|35\d{3})\d{11})$/, cvv: /^([0-9]){3,4}$/, email: /^[a-zA-Z0-9.!#$%&'*+\/=?^_`{|}~-]+@[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+$/, url: /^(https?|ftp|file|ssh):\/\/([-;:&=\+\$,\w]+@{1})?([-A-Za-z0-9\.]+)+:?(\d+)?((\/[-\+~%\/\.\w]+)?\??([-\+=&;%@\.\w]+)?#?([\w]+)?)?/, domain: /^([a-zA-Z0-9]([a-zA-Z0-9\-]{0,61}[a-zA-Z0-9])?\.)+[a-zA-Z]{2,8}$/, datetime: /^([0-2][0-9]{3})\-([0-1][0-9])\-([0-3][0-9])T([0-5][0-9])\:([0-5][0-9])\:([0-5][0-9])(Z|([\-\+]([0-1][0-9])\:00))$/, date: /(?:19|20)[0-9]{2}-(?:(?:0[1-9]|1[0-2])-(?:0[1-9]|1[0-9]|2[0-9])|(?:(?!02)(?:0[1-9]|1[0-2])-(?:30))|(?:(?:0[13578]|1[02])-31))$/, time: /^(0[0-9]|1[0-9]|2[0-3])(:[0-5][0-9]){2}$/, dateISO: /^\d{4}[\/\-]\d{1,2}[\/\-]\d{1,2}$/, month_day_year: /^(0[1-9]|1[012])[- \/.](0[1-9]|[12][0-9]|3[01])[- \/.]\d{4}$/, day_month_year: /^(0[1-9]|[12][0-9]|3[01])[- \/.](0[1-9]|1[012])[- \/.]\d{4}$/, color: /^#?([a-fA-F0-9]{6}|[a-fA-F0-9]{3})$/ }, validators: { equalTo: function(t) {
          var e = i.getElementById(t.getAttribute(this.add_namespace("data-equalto"))).value,
            s = t.value,
            n = e === s;
          return n } } }, timer: null, init: function(t, e, i) { this.bindings(e, i) }, events: function(e) {
      function i(t, e) { clearTimeout(s.timer), s.timer = setTimeout(function() { s.validate([t], e) }.bind(t), a.timeout) }
      var s = this,
        n = s.S(e).attr("novalidate", "novalidate"),
        a = n.data(this.attr_name(!0) + "-init") || {};
      this.invalid_attr = this.add_namespace("data-invalid"), n.off(".abide").on("submit.fndtn.abide", function(t) {
        var e = /ajax/i.test(s.S(this).attr(s.attr_name()));
        return s.validate(s.S(this).find("input, textarea, select").not(":hidden, [data-abide-ignore]").get(), t, e) }).on("validate.fndtn.abide", function(t) { "manual" === a.validate_on && s.validate([t.target], t) }).on("reset", function(e) {
        return s.reset(t(this), e) }).find("input, textarea, select").not(":hidden, [data-abide-ignore]").off(".abide").on("blur.fndtn.abide change.fndtn.abide", function(t) { a.validate_on_blur && a.validate_on_blur === !0 && i(this, t), "change" === a.validate_on && i(this, t) }).on("keydown.fndtn.abide", function(t) { a.live_validate && a.live_validate === !0 && 9 != t.which && i(this, t), "tab" === a.validate_on && 9 === t.which ? i(this, t) : "change" === a.validate_on && i(this, t) }).on("focus", function(e) { navigator.userAgent.match(/iPad|iPhone|Android|BlackBerry|Windows Phone|webOS/i) && t("html, body").animate({ scrollTop: t(e.target).offset().top }, 100) }) }, reset: function(e) {
      var i = this;
      e.removeAttr(i.invalid_attr), t("[" + i.invalid_attr + "]", e).removeAttr(i.invalid_attr), t("." + i.settings.error_class, e).not("small").removeClass(i.settings.error_class), t(":input", e).not(":button, :submit, :reset, :hidden, [data-abide-ignore]").val("").removeAttr(i.invalid_attr) }, validate: function(t, e, i) {
      for (var s = this.parse_patterns(t), n = s.length, a = this.S(t[0]).closest("form"), o = /submit/.test(e.type), r = 0; n > r; r++)
        if (!s[r] && (o || i)) return this.settings.focus_on_invalid && t[r].focus(), a.trigger("invalid.fndtn.abide"), this.S(t[r]).closest("form").attr(this.invalid_attr, ""), !1;
      return (o || i) && a.trigger("valid.fndtn.abide"), a.removeAttr(this.invalid_attr), i ? !1 : !0 }, parse_patterns: function(t) {
      for (var e = t.length, i = []; e--;) i.push(this.pattern(t[e]));
      return this.check_validation_and_apply_styles(i) }, pattern: function(t) {
      var e = t.getAttribute("type"),
        i = "string" == typeof t.getAttribute("required"),
        s = t.getAttribute("pattern") || "";
      return this.settings.patterns.hasOwnProperty(s) && s.length > 0 ? [t, this.settings.patterns[s], i] : s.length > 0 ? [t, new RegExp(s), i] : this.settings.patterns.hasOwnProperty(e) ? [t, this.settings.patterns[e], i] : (s = /.*/, [t, s, i]) }, check_validation_and_apply_styles: function(e) {
      var i = e.length,
        s = [],
        n = this.S(e[0][0]).closest("[data-" + this.attr_name(!0) + "]");
      for (n.data(this.attr_name(!0) + "-init") || {}; i--;) {
        var a, o, r = e[i][0],
          l = e[i][2],
          d = r.value.trim(),
          h = this.S(r).parent(),
          c = r.getAttribute(this.add_namespace("data-abide-validator")),
          u = "radio" === r.type,
          f = "checkbox" === r.type,
          p = this.S('label[for="' + r.getAttribute("id") + '"]'),
          g = l ? r.value.length > 0 : !0,
          _ = [];
        if (r.getAttribute(this.add_namespace("data-equalto")) && (c = "equalTo"), a = h.is("label") ? h.parent() : h, u && l) _.push(this.valid_radio(r, l));
        else if (f && l) _.push(this.valid_checkbox(r, l));
        else if (c) {
          for (var m = c.split(" "), v = !0, b = !0, x = 0; x < m.length; x++) o = this.settings.validators[m[x]].apply(this, [r, l, a]), _.push(o), b = o && v, v = o;
          b ? (this.S(r).removeAttr(this.invalid_attr), a.removeClass("error"), p.length > 0 && this.settings.error_labels && p.removeClass(this.settings.error_class).removeAttr("role"), t(r).triggerHandler("valid")) : (this.S(r).attr(this.invalid_attr, ""), a.addClass("error"), p.length > 0 && this.settings.error_labels && p.addClass(this.settings.error_class).attr("role", "alert"), t(r).triggerHandler("invalid")) } else if (_.push(e[i][1].test(d) && g || !l && r.value.length < 1 || t(r).attr("disabled") ? !0 : !1), _ = [_.every(function(t) {
            return t })], _[0]) this.S(r).removeAttr(this.invalid_attr), r.setAttribute("aria-invalid", "false"), r.removeAttribute("aria-describedby"), a.removeClass(this.settings.error_class), p.length > 0 && this.settings.error_labels && p.removeClass(this.settings.error_class).removeAttr("role"), t(r).triggerHandler("valid");
        else { this.S(r).attr(this.invalid_attr, ""), r.setAttribute("aria-invalid", "true");
          var y = a.find("small." + this.settings.error_class, "span." + this.settings.error_class),
            w = y.length > 0 ? y[0].id : "";
          w.length > 0 && r.setAttribute("aria-describedby", w), a.addClass(this.settings.error_class), p.length > 0 && this.settings.error_labels && p.addClass(this.settings.error_class).attr("role", "alert"), t(r).triggerHandler("invalid") }
        s = s.concat(_) }
      return s }, valid_checkbox: function(e, i) {
      var e = this.S(e),
        s = e.is(":checked") || !i || e.get(0).getAttribute("disabled");
      return s ? (e.removeAttr(this.invalid_attr).parent().removeClass(this.settings.error_class), t(e).triggerHandler("valid")) : (e.attr(this.invalid_attr, "").parent().addClass(this.settings.error_class), t(e).triggerHandler("invalid")), s }, valid_radio: function(e) {
      for (var i = e.getAttribute("name"), s = this.S(e).closest("[data-" + this.attr_name(!0) + "]").find("[name='" + i + "']"), n = s.length, a = !1, o = !1, r = 0; n > r; r++) s[r].getAttribute("disabled") ? (o = !0, a = !0) : s[r].checked ? a = !0 : o && (a = !1);
      for (var r = 0; n > r; r++) a ? (this.S(s[r]).removeAttr(this.invalid_attr).parent().removeClass(this.settings.error_class), t(s[r]).triggerHandler("valid")) : (this.S(s[r]).attr(this.invalid_attr, "").parent().addClass(this.settings.error_class), t(s[r]).triggerHandler("invalid"));
      return a }, valid_equal: function(t, e, s) {
      var n = i.getElementById(t.getAttribute(this.add_namespace("data-equalto"))).value,
        a = t.value,
        o = n === a;
      return o ? (this.S(t).removeAttr(this.invalid_attr), s.removeClass(this.settings.error_class), label.length > 0 && settings.error_labels && label.removeClass(this.settings.error_class)) : (this.S(t).attr(this.invalid_attr, ""), s.addClass(this.settings.error_class), label.length > 0 && settings.error_labels && label.addClass(this.settings.error_class)), o }, valid_oneof: function(t, e, i, s) {
      var t = this.S(t),
        n = this.S("[" + this.add_namespace("data-oneof") + "]"),
        a = n.filter(":checked").length > 0;
      if (a ? t.removeAttr(this.invalid_attr).parent().removeClass(this.settings.error_class) : t.attr(this.invalid_attr, "").parent().addClass(this.settings.error_class), !s) {
        var o = this;
        n.each(function() { o.valid_oneof.call(o, this, null, null, !0) }) }
      return a }, reflow: function() {
      var t = this,
        e = t.S("[" + this.attr_name() + "]").attr("novalidate", "novalidate");
      t.S(e).each(function(e, i) { t.events(i) }) } } }(jQuery, window, window.document),
function(t, e) { "use strict";
  Foundation.libs.equalizer = { name: "equalizer", version: "5.5.2", settings: { use_tallest: !0, before_height_change: t.noop, after_height_change: t.noop, equalize_on_stack: !1, act_on_hidden_el: !1 }, init: function(t, e, i) { Foundation.inherit(this, "image_loaded"), this.bindings(e, i), this.reflow() }, events: function() { this.S(e).off(".equalizer").on("resize.fndtn.equalizer", function() { this.reflow() }.bind(this)) }, equalize: function(e) {
      var i, s, n = !1,
        a = e.data("equalizer"),
        o = e.data(this.attr_name(!0) + "-init") || this.settings;
      if (i = e.find(o.act_on_hidden_el ? a ? "[" + this.attr_name() + '-watch="' + a + '"]' : "[" + this.attr_name() + "-watch]" : a ? "[" + this.attr_name() + '-watch="' + a + '"]:visible' : "[" + this.attr_name() + "-watch]:visible"), 0 !== i.length && (o.before_height_change(), e.trigger("before-height-change.fndth.equalizer"), i.height("inherit"), o.equalize_on_stack !== !1 || (s = i.first().offset().top, i.each(function() {
          return t(this).offset().top !== s ? (n = !0, !1) : void 0 }), !n))) {
        var r = i.map(function() {
          return t(this).outerHeight(!1) }).get();
        if (o.use_tallest) {
          var l = Math.max.apply(null, r);
          i.css("height", l) } else {
          var d = Math.min.apply(null, r);
          i.css("height", d) }
        o.after_height_change(), e.trigger("after-height-change.fndtn.equalizer") } }, reflow: function() {
      var e = this;
      this.S("[" + this.attr_name() + "]", this.scope).each(function() {
        var i = t(this),
          s = i.data("equalizer-mq"),
          n = !0;
        s && (s = "is_" + s.replace(/-/g, "_"), Foundation.utils.hasOwnProperty(s) && (n = !1)), e.image_loaded(e.S("img", this), function() {
          if (n || Foundation.utils[s]()) e.equalize(i);
          else {
            var t = i.find("[" + e.attr_name() + "-watch]:visible");
            t.css("height", "auto") } }) }) } } }(jQuery, window, window.document),
function(t, e) { "use strict";
  Foundation.libs.interchange = { name: "interchange", version: "5.5.2", cache: {}, images_loaded: !1, nodes_loaded: !1, settings: { load_attr: "interchange", named_queries: { "default": "only screen", small: Foundation.media_queries.small, "small-only": Foundation.media_queries["small-only"], medium: Foundation.media_queries.medium, "medium-only": Foundation.media_queries["medium-only"], large: Foundation.media_queries.large, "large-only": Foundation.media_queries["large-only"], xlarge: Foundation.media_queries.xlarge, "xlarge-only": Foundation.media_queries["xlarge-only"], xxlarge: Foundation.media_queries.xxlarge, landscape: "only screen and (orientation: landscape)", portrait: "only screen and (orientation: portrait)", retina: "only screen and (-webkit-min-device-pixel-ratio: 2),only screen and (min--moz-device-pixel-ratio: 2),only screen and (-o-min-device-pixel-ratio: 2/1),only screen and (min-device-pixel-ratio: 2),only screen and (min-resolution: 192dpi),only screen and (min-resolution: 2dppx)" }, directives: { replace: function(e, i, s) {
          if (null !== e && /IMG/.test(e[0].nodeName)) {
            var n = e[0].src;
            if (new RegExp(i, "i").test(n)) return;
            return e.attr("src", i), s(e[0].src) }
          var a = e.data(this.data_attr + "-last-path"),
            o = this;
          if (a != i) return /\.(gif|jpg|jpeg|tiff|png)([?#].*)?/i.test(i) ? (t(e).css("background-image", "url(" + i + ")"), e.data("interchange-last-path", i), s(i)) : t.get(i, function(t) { e.html(t), e.data(o.data_attr + "-last-path", i), s() }) } } }, init: function(e, i, s) { Foundation.inherit(this, "throttle random_str"), this.data_attr = this.set_data_attr(), t.extend(!0, this.settings, i, s), this.bindings(i, s), this.reflow() }, get_media_hash: function() {
      var t = "";
      for (var e in this.settings.named_queries) t += matchMedia(this.settings.named_queries[e]).matches.toString();
      return t }, events: function() {
      var i, s = this;
      return t(e).off(".interchange").on("resize.fndtn.interchange", s.throttle(function() {
        var t = s.get_media_hash();
        t !== i && s.resize(), i = t }, 50)), this }, resize: function() {
      var e = this.cache;
      if (!this.images_loaded || !this.nodes_loaded) return void setTimeout(t.proxy(this.resize, this), 50);
      for (var i in e)
        if (e.hasOwnProperty(i)) {
          var s = this.results(i, e[i]);
          s && this.settings.directives[s.scenario[1]].call(this, s.el, s.scenario[0], function(t) {
            if (arguments[0] instanceof Array) var e = arguments[0];
            else var e = Array.prototype.slice.call(arguments, 0);
            return function() { t.el.trigger(t.scenario[1], e) } }(s)) } }, results: function(t, e) {
      var i = e.length;
      if (i > 0)
        for (var s = this.S("[" + this.add_namespace("data-uuid") + '="' + t + '"]'); i--;) {
          var n, a = e[i][2];
          if (n = matchMedia(this.settings.named_queries.hasOwnProperty(a) ? this.settings.named_queries[a] : a), n.matches) return { el: s, scenario: e[i] } }
      return !1 }, load: function(t, e) {
      return ("undefined" == typeof this["cached_" + t] || e) && this["update_" + t](), this["cached_" + t] }, update_images: function() {
      var t = this.S("img[" + this.data_attr + "]"),
        e = t.length,
        i = e,
        s = 0,
        n = this.data_attr;
      for (this.cache = {}, this.cached_images = [], this.images_loaded = 0 === e; i--;) {
        if (s++, t[i]) {
          var a = t[i].getAttribute(n) || "";
          a.length > 0 && this.cached_images.push(t[i]) }
        s === e && (this.images_loaded = !0, this.enhance("images")) }
      return this }, update_nodes: function() {
      var t = this.S("[" + this.data_attr + "]").not("img"),
        e = t.length,
        i = e,
        s = 0,
        n = this.data_attr;
      for (this.cached_nodes = [], this.nodes_loaded = 0 === e; i--;) { s++;
        var a = t[i].getAttribute(n) || "";
        a.length > 0 && this.cached_nodes.push(t[i]), s === e && (this.nodes_loaded = !0, this.enhance("nodes")) }
      return this }, enhance: function(i) {
      for (var s = this["cached_" + i].length; s--;) this.object(t(this["cached_" + i][s]));
      return t(e).trigger("resize.fndtn.interchange") }, convert_directive: function(t) {
      var e = this.trim(t);
      return e.length > 0 ? e : "replace" }, parse_scenario: function(t) {
      var e = t[0].match(/(.+),\s*(\w+)\s*$/),
        i = t[1].match(/(.*)\)/);
      if (e) var s = e[1],
        n = e[2];
      else var a = t[0].split(/,\s*$/),
        s = a[0],
        n = "";
      return [this.trim(s), this.convert_directive(n), this.trim(i[1])] }, object: function(t) {
      var e = this.parse_data_attr(t),
        i = [],
        s = e.length;
      if (s > 0)
        for (; s--;) {
          var n = e[s].split(/,\s?\(/);
          if (n.length > 1) {
            var a = this.parse_scenario(n);
            i.push(a) } }
      return this.store(t, i) }, store: function(t, e) {
      var i = this.random_str(),
        s = t.data(this.add_namespace("uuid", !0));
      return this.cache[s] ? this.cache[s] : (t.attr(this.add_namespace("data-uuid"), i), this.cache[i] = e) }, trim: function(e) {
      return "string" == typeof e ? t.trim(e) : e }, set_data_attr: function(t) {
      return t ? this.namespace.length > 0 ? this.namespace + "-" + this.settings.load_attr : this.settings.load_attr : this.namespace.length > 0 ? "data-" + this.namespace + "-" + this.settings.load_attr : "data-" + this.settings.load_attr }, parse_data_attr: function(t) {
      for (var e = t.attr(this.attr_name()).split(/\[(.*?)\]/), i = e.length, s = []; i--;) e[i].replace(/[\W\d]+/, "").length > 4 && s.push(e[i]);
      return s }, reflow: function() { this.load("images", !0), this.load("nodes", !0) } } }(jQuery, window, window.document),
function(t, e, i) { "use strict";
  Foundation.libs.dropdown = { name: "dropdown", version: "5.5.2", settings: { active_class: "open", disabled_class: "disabled", mega_class: "mega", align: "bottom", is_hover: !1, hover_timeout: 150, opened: function() {}, closed: function() {} }, init: function(e, i, s) { Foundation.inherit(this, "throttle"), t.extend(!0, this.settings, i, s), this.bindings(i, s) }, events: function() {
      var s = this,
        n = s.S;
      n(this.scope).off(".dropdown").on("click.fndtn.dropdown", "[" + this.attr_name() + "]", function(e) {
        var i = n(this).data(s.attr_name(!0) + "-init") || s.settings;
        (!i.is_hover || Modernizr.touch) && (e.preventDefault(), n(this).parent("[data-reveal-id]").length && e.stopPropagation(), s.toggle(t(this))) }).on("mouseenter.fndtn.dropdown", "[" + this.attr_name() + "], [" + this.attr_name() + "-content]", function(t) {
        var e, i, a = n(this);
        clearTimeout(s.timeout), a.data(s.data_attr()) ? (e = n("#" + a.data(s.data_attr())), i = a) : (e = a, i = n("[" + s.attr_name() + '="' + e.attr("id") + '"]'));
        var o = i.data(s.attr_name(!0) + "-init") || s.settings;
        n(t.currentTarget).data(s.data_attr()) && o.is_hover && s.closeall.call(s), o.is_hover && s.open.apply(s, [e, i]) }).on("mouseleave.fndtn.dropdown", "[" + this.attr_name() + "], [" + this.attr_name() + "-content]", function() {
        var t, e = n(this);
        if (e.data(s.data_attr())) t = e.data(s.data_attr(!0) + "-init") || s.settings;
        else var i = n("[" + s.attr_name() + '="' + n(this).attr("id") + '"]'),
          t = i.data(s.attr_name(!0) + "-init") || s.settings;
        s.timeout = setTimeout(function() { e.data(s.data_attr()) ? t.is_hover && s.close.call(s, n("#" + e.data(s.data_attr()))) : t.is_hover && s.close.call(s, e) }.bind(this), t.hover_timeout) }).on("click.fndtn.dropdown", function(e) {
        var a = n(e.target).closest("[" + s.attr_name() + "-content]"),
          o = a.find("a");
        return o.length > 0 && "false" !== a.attr("aria-autoclose") && s.close.call(s, n("[" + s.attr_name() + "-content]")), e.target !== i && !t.contains(i.documentElement, e.target) || n(e.target).closest("[" + s.attr_name() + "]").length > 0 ? void 0 : !n(e.target).data("revealId") && a.length > 0 && (n(e.target).is("[" + s.attr_name() + "-content]") || t.contains(a.first()[0], e.target)) ? void e.stopPropagation() : void s.close.call(s, n("[" + s.attr_name() + "-content]")) }).on("opened.fndtn.dropdown", "[" + s.attr_name() + "-content]", function() { s.settings.opened.call(this) }).on("closed.fndtn.dropdown", "[" + s.attr_name() + "-content]", function() { s.settings.closed.call(this) }), n(e).off(".dropdown").on("resize.fndtn.dropdown", s.throttle(function() { s.resize.call(s) }, 50)), this.resize() }, close: function(e) {
      var i = this;
      e.each(function(s) {
        var n = t("[" + i.attr_name() + "=" + e[s].id + "]") || t("aria-controls=" + e[s].id + "]");
        n.attr("aria-expanded", "false"), i.S(this).hasClass(i.settings.active_class) && (i.S(this).css(Foundation.rtl ? "right" : "left", "-99999px").attr("aria-hidden", "true").removeClass(i.settings.active_class).prev("[" + i.attr_name() + "]").removeClass(i.settings.active_class).removeData("target"), i.S(this).trigger("closed.fndtn.dropdown", [e])) }), e.removeClass("f-open-" + this.attr_name(!0)) }, closeall: function() {
      var e = this;
      t.each(e.S(".f-open-" + this.attr_name(!0)), function() { e.close.call(e, e.S(this)) }) }, open: function(t, e) { this.css(t.addClass(this.settings.active_class), e), t.prev("[" + this.attr_name() + "]").addClass(this.settings.active_class), t.data("target", e.get(0)).trigger("opened.fndtn.dropdown", [t, e]), t.attr("aria-hidden", "false"), e.attr("aria-expanded", "true"), t.focus(), t.addClass("f-open-" + this.attr_name(!0)) }, data_attr: function() {
      return this.namespace.length > 0 ? this.namespace + "-" + this.name : this.name }, toggle: function(t) {
      if (!t.hasClass(this.settings.disabled_class)) {
        var e = this.S("#" + t.data(this.data_attr()));
        0 !== e.length && (this.close.call(this, this.S("[" + this.attr_name() + "-content]").not(e)), e.hasClass(this.settings.active_class) ? (this.close.call(this, e), e.data("target") !== t.get(0) && this.open.call(this, e, t)) : this.open.call(this, e, t)) } }, resize: function() {
      var e = this.S("[" + this.attr_name() + "-content].open"),
        i = t(e.data("target"));
      e.length && i.length && this.css(e, i) }, css: function(t, e) {
      var i = Math.max((e.width() - t.width()) / 2, 8),
        s = e.data(this.attr_name(!0) + "-init") || this.settings,
        n = t.parent().css("overflow-y") || t.parent().css("overflow");
      if (this.clear_idx(), this.small()) {
        var a = this.dirs.bottom.call(t, e, s);
        t.attr("style", "").removeClass("drop-left drop-right drop-top").css({ position: "absolute", width: "95%", "max-width": "none", top: a.top }), t.css(Foundation.rtl ? "right" : "left", i) } else if ("visible" !== n) {
        var o = e[0].offsetTop + e[0].offsetHeight;
        t.attr("style", "").css({ position: "absolute", top: o }), t.css(Foundation.rtl ? "right" : "left", i) } else this.style(t, e, s);
      return t }, style: function(e, i, s) {
      var n = t.extend({ position: "absolute" }, this.dirs[s.align].call(e, i, s));
      e.attr("style", "").css(n) }, dirs: { _base: function(t) {
        var s = this.offsetParent(),
          n = s.offset(),
          a = t.offset();
        a.top -= n.top, a.left -= n.left, a.missRight = !1, a.missTop = !1, a.missLeft = !1, a.leftRightFlag = !1;
        var o;
        o = i.getElementsByClassName("row")[0] ? i.getElementsByClassName("row")[0].clientWidth : e.innerWidth;
        var r = (e.innerWidth - o) / 2,
          l = o;
        return this.hasClass("mega") || (t.offset().top <= this.outerHeight() && (a.missTop = !0, l = e.innerWidth - r, a.leftRightFlag = !0), t.offset().left + this.outerWidth() > t.offset().left + r && t.offset().left - r > this.outerWidth() && (a.missRight = !0, a.missLeft = !1), t.offset().left - this.outerWidth() <= 0 && (a.missLeft = !0, a.missRight = !1)), a }, top: function(t, e) {
        var i = Foundation.libs.dropdown,
          s = i.dirs._base.call(this, t);
        return this.addClass("drop-top"), 1 == s.missTop && (s.top = s.top + t.outerHeight() + this.outerHeight(), this.removeClass("drop-top")), 1 == s.missRight && (s.left = s.left - this.outerWidth() + t.outerWidth()), (t.outerWidth() < this.outerWidth() || i.small() || this.hasClass(e.mega_menu)) && i.adjust_pip(this, t, e, s), Foundation.rtl ? { left: s.left - this.outerWidth() + t.outerWidth(), top: s.top - this.outerHeight() } : { left: s.left, top: s.top - this.outerHeight() } }, bottom: function(t, e) {
        var i = Foundation.libs.dropdown,
          s = i.dirs._base.call(this, t);
        return 1 == s.missRight && (s.left = s.left - this.outerWidth() + t.outerWidth()), (t.outerWidth() < this.outerWidth() || i.small() || this.hasClass(e.mega_menu)) && i.adjust_pip(this, t, e, s), i.rtl ? { left: s.left - this.outerWidth() + t.outerWidth(), top: s.top + t.outerHeight() } : { left: s.left, top: s.top + t.outerHeight() } }, left: function(t) {
        var e = Foundation.libs.dropdown.dirs._base.call(this, t);
        return this.addClass("drop-left"), 1 == e.missLeft && (e.left = e.left + this.outerWidth(), e.top = e.top + t.outerHeight(), this.removeClass("drop-left")), { left: e.left - this.outerWidth(), top: e.top } }, right: function(t, e) {
        var i = Foundation.libs.dropdown.dirs._base.call(this, t);
        this.addClass("drop-right"), 1 == i.missRight ? (i.left = i.left - this.outerWidth(), i.top = i.top + t.outerHeight(), this.removeClass("drop-right")) : i.triggeredRight = !0;
        var s = Foundation.libs.dropdown;
        return (t.outerWidth() < this.outerWidth() || s.small() || this.hasClass(e.mega_menu)) && s.adjust_pip(this, t, e, i), { left: i.left + t.outerWidth(), top: i.top } } }, adjust_pip: function(t, e, i, s) {
      var n = Foundation.stylesheet,
        a = 8;
      t.hasClass(i.mega_class) ? a = s.left + e.outerWidth() / 2 - 8 : this.small() && (a += s.left - 8), this.rule_idx = n.cssRules.length;
      var o = ".f-dropdown.open:before",
        r = ".f-dropdown.open:after",
        l = "left: " + a + "px;",
        d = "left: " + (a - 1) + "px;";
      1 == s.missRight && (a = t.outerWidth() - 23, o = ".f-dropdown.open:before", r = ".f-dropdown.open:after", l = "left: " + a + "px;", d = "left: " + (a - 1) + "px;"), 1 == s.triggeredRight && (o = ".f-dropdown.open:before", r = ".f-dropdown.open:after", l = "left:-12px;", d = "left:-14px;"), n.insertRule ? (n.insertRule([o, "{", l, "}"].join(" "), this.rule_idx), n.insertRule([r, "{", d, "}"].join(" "), this.rule_idx + 1)) : (n.addRule(o, l, this.rule_idx), n.addRule(r, d, this.rule_idx + 1)) }, clear_idx: function() {
      var t = Foundation.stylesheet; "undefined" != typeof this.rule_idx && (t.deleteRule(this.rule_idx), t.deleteRule(this.rule_idx), delete this.rule_idx) }, small: function() {
      return matchMedia(Foundation.media_queries.small).matches && !matchMedia(Foundation.media_queries.medium).matches }, off: function() { this.S(this.scope).off(".fndtn.dropdown"), this.S("html, body").off(".fndtn.dropdown"), this.S(e).off(".fndtn.dropdown"), this.S("[data-dropdown-content]").off(".fndtn.dropdown") }, reflow: function() {} } }(jQuery, window, window.document),
function(t) { "use strict";
  Foundation.libs.accordion = { name: "accordion", version: "5.5.2", settings: { content_class: "content", active_class: "active", multi_expand: !1, toggleable: !0, callback: function() {} }, init: function(t, e, i) { this.bindings(e, i) }, events: function(e) {
      var i = this,
        s = this.S;
      i.create(this.S(e)), s(this.scope).off(".fndtn.accordion").on("click.fndtn.accordion", "[" + this.attr_name() + "] > dd > a, [" + this.attr_name() + "] > li > a", function(e) {
        var n = s(this).closest("[" + i.attr_name() + "]"),
          a = i.attr_name() + "=" + n.attr(i.attr_name()),
          o = n.data(i.attr_name(!0) + "-init") || i.settings,
          r = s("#" + this.href.split("#")[1]),
          l = t("> dd, > li", n),
          d = l.children("." + o.content_class),
          h = d.filter("." + o.active_class);
        return e.preventDefault(), n.attr(i.attr_name()) && (d = d.add("[" + a + "] dd > ." + o.content_class + ", [" + a + "] li > ." + o.content_class), l = l.add("[" + a + "] dd, [" + a + "] li")), o.toggleable && r.is(h) ? (r.parent("dd, li").toggleClass(o.active_class, !1), r.toggleClass(o.active_class, !1), s(this).attr("aria-expanded", function(t, e) {
          return "true" === e ? "false" : "true" }), o.callback(r), r.triggerHandler("toggled", [n]), void n.triggerHandler("toggled", [r])) : (o.multi_expand || (d.removeClass(o.active_class), l.removeClass(o.active_class), l.children("a").attr("aria-expanded", "false")), r.addClass(o.active_class).parent().addClass(o.active_class), o.callback(r), r.triggerHandler("toggled", [n]), n.triggerHandler("toggled", [r]), void s(this).attr("aria-expanded", "true")) }) }, create: function(e) {
      var i = this,
        s = e,
        n = t("> .accordion-navigation", s),
        a = s.data(i.attr_name(!0) + "-init") || i.settings;
      n.children("a").attr("aria-expanded", "false"), n.has("." + a.content_class + "." + a.active_class).children("a").attr("aria-expanded", "true"), a.multi_expand && e.attr("aria-multiselectable", "true") }, off: function() {}, reflow: function() {} } }(jQuery, window, window.document),
function(t) { "use strict";
  Foundation.libs.alert = { name: "alert", version: "5.5.2", settings: { callback: function() {} }, init: function(t, e, i) { this.bindings(e, i) }, events: function() {
      var e = this,
        i = this.S;
      t(this.scope).off(".alert").on("click.fndtn.alert", "[" + this.attr_name() + "] .close", function(t) {
        var s = i(this).closest("[" + e.attr_name() + "]"),
          n = s.data(e.attr_name(!0) + "-init") || e.settings;
        t.preventDefault(), Modernizr.csstransitions ? (s.addClass("alert-close"), s.on("transitionend webkitTransitionEnd oTransitionEnd", function() { i(this).trigger("close.fndtn.alert").remove(), n.callback() })) : s.fadeOut(300, function() { i(this).trigger("close.fndtn.alert").remove(), n.callback() }) }) }, reflow: function() {} } }(jQuery, window, window.document),
function(t, e, i, s) {
  "use strict";
  Foundation.libs.clearing = {
    name: "clearing",
    version: "5.5.2",
    settings: { templates: { viewing: '<a href="#" class="clearing-close">&times;</a><div class="visible-img" style="display: none"><div class="clearing-touch-label"></div><img src="data:image/gif;base64,R0lGODlhAQABAAD/ACwAAAAAAQABAAACADs%3D" alt="" /><p class="clearing-caption"></p><a href="#" class="clearing-main-prev"><span></span></a><a href="#" class="clearing-main-next"><span></span></a></div><img class="clearing-preload-next" style="display: none" src="data:image/gif;base64,R0lGODlhAQABAAD/ACwAAAAAAQABAAACADs%3D" alt="" /><img class="clearing-preload-prev" style="display: none" src="data:image/gif;base64,R0lGODlhAQABAAD/ACwAAAAAAQABAAACADs%3D" alt="" />' }, close_selectors: ".clearing-close, div.clearing-blackout", open_selectors: "", skip_selector: "", touch_label: "", init: !1, locked: !1 },
    init: function(t, e, i) {
      var s = this;
      Foundation.inherit(this, "throttle image_loaded"), this.bindings(e, i), s.S(this.scope).is("[" + this.attr_name() + "]") ? this.assemble(s.S("li", this.scope)) : s.S("[" + this.attr_name() + "]", this.scope).each(function() { s.assemble(s.S("li", this)) }) },
    events: function(s) {
      var n = this,
        a = n.S,
        o = t(".scroll-container");
      o.length > 0 && (this.scope = o), a(this.scope).off(".clearing").on("click.fndtn.clearing", "ul[" + this.attr_name() + "] li " + this.settings.open_selectors, function(t, e, i) {
        var e = e || a(this),
          i = i || e,
          s = e.next("li"),
          o = e.closest("[" + n.attr_name() + "]").data(n.attr_name(!0) + "-init"),
          r = a(t.target);
        t.preventDefault(), o || (n.init(), o = e.closest("[" + n.attr_name() + "]").data(n.attr_name(!0) + "-init")), i.hasClass("visible") && e[0] === i[0] && s.length > 0 && n.is_open(e) && (i = s, r = a("img", i)), n.open(r, e, i), n.update_paddles(i) }).on("click.fndtn.clearing", ".clearing-main-next", function(t) { n.nav(t, "next") }).on("click.fndtn.clearing", ".clearing-main-prev", function(t) { n.nav(t, "prev") }).on("click.fndtn.clearing", this.settings.close_selectors, function(t) {
        Foundation.libs.clearing.close(t, this)
      }), t(i).on("keydown.fndtn.clearing", function(t) { n.keydown(t) }), a(e).off(".clearing").on("resize.fndtn.clearing", function() { n.resize() }), this.swipe_events(s)
    },
    swipe_events: function() {
      var t = this,
        e = t.S;
      e(this.scope).on("touchstart.fndtn.clearing", ".visible-img", function(t) { t.touches || (t = t.originalEvent);
        var i = { start_page_x: t.touches[0].pageX, start_page_y: t.touches[0].pageY, start_time: (new Date).getTime(), delta_x: 0, is_scrolling: s };
        e(this).data("swipe-transition", i), t.stopPropagation() }).on("touchmove.fndtn.clearing", ".visible-img", function(i) {
        if (i.touches || (i = i.originalEvent), !(i.touches.length > 1 || i.scale && 1 !== i.scale)) {
          var s = e(this).data("swipe-transition");
          if ("undefined" == typeof s && (s = {}), s.delta_x = i.touches[0].pageX - s.start_page_x, Foundation.rtl && (s.delta_x = -s.delta_x), "undefined" == typeof s.is_scrolling && (s.is_scrolling = !!(s.is_scrolling || Math.abs(s.delta_x) < Math.abs(i.touches[0].pageY - s.start_page_y))), !s.is_scrolling && !s.active) { i.preventDefault();
            var n = s.delta_x < 0 ? "next" : "prev";
            s.active = !0, t.nav(i, n) } } }).on("touchend.fndtn.clearing", ".visible-img", function(t) { e(this).data("swipe-transition", {}), t.stopPropagation() }) },
    assemble: function(e) {
      var i = e.parent();
      if (!i.parent().hasClass("carousel")) { i.after('<div id="foundationClearingHolder"></div>');
        var s = i.detach(),
          n = "";
        if (null != s[0]) { n = s[0].outerHTML;
          var a = this.S("#foundationClearingHolder"),
            o = i.data(this.attr_name(!0) + "-init"),
            r = { grid: '<div class="carousel">' + n + "</div>", viewing: o.templates.viewing },
            l = '<div class="clearing-assembled"><div>' + r.viewing + r.grid + "</div></div>",
            d = this.settings.touch_label;
          Modernizr.touch && (l = t(l).find(".clearing-touch-label").html(d).end()), a.after(l).remove() } } },
    open: function(e, s, n) {
      function a() { setTimeout(function() { this.image_loaded(u, function() { 1 !== u.outerWidth() || p ? o.call(this, u) : a.call(this) }.bind(this)) }.bind(this), 100) }

      function o(e) {
        var i = t(e);
        i.css("visibility", "visible"), i.trigger("imageVisible"), l.css("overflow", "hidden"), d.addClass("clearing-blackout"), h.addClass("clearing-container"), c.show(), this.fix_height(n).caption(r.S(".clearing-caption", c), r.S("img", n)).center_and_label(e, f).shift(s, n, function() { n.closest("li").siblings().removeClass("visible"), n.closest("li").addClass("visible") }), c.trigger("opened.fndtn.clearing") }
      var r = this,
        l = t(i.body),
        d = n.closest(".clearing-assembled"),
        h = r.S("div", d).first(),
        c = r.S(".visible-img", h),
        u = r.S("img", c).not(e),
        f = r.S(".clearing-touch-label", h),
        p = !1,
        g = {};
      t("body").on("touchmove", function(t) { t.preventDefault() }), u.error(function() { p = !0 }), this.locked() || (c.trigger("open.fndtn.clearing"), g = this.load(e), g.interchange ? u.attr("data-interchange", g.interchange).foundation("interchange", "reflow") : u.attr("src", g.src).attr("data-interchange", ""), u.css("visibility", "hidden"), a.call(this)) },
    close: function(e, s) { e.preventDefault();
      var n, a, o = function(t) {
          return /blackout/.test(t.selector) ? t : t.closest(".clearing-blackout") }(t(s)),
        r = t(i.body);
      return s === e.target && o && (r.css("overflow", ""), n = t("div", o).first(), a = t(".visible-img", n), a.trigger("close.fndtn.clearing"), this.settings.prev_index = 0, t("ul[" + this.attr_name() + "]", o).attr("style", "").closest(".clearing-blackout").removeClass("clearing-blackout"), n.removeClass("clearing-container"), a.hide(), a.trigger("closed.fndtn.clearing")), t("body").off("touchmove"), !1 },
    is_open: function(t) {
      return t.parent().prop("style").length > 0 },
    keydown: function(e) {
      var i = t(".clearing-blackout ul[" + this.attr_name() + "]"),
        s = this.rtl ? 37 : 39,
        n = this.rtl ? 39 : 37,
        a = 27;
      e.which === s && this.go(i, "next"), e.which === n && this.go(i, "prev"), e.which === a && this.S("a.clearing-close").trigger("click.fndtn.clearing") },
    nav: function(e, i) {
      var s = t("ul[" + this.attr_name() + "]", ".clearing-blackout");
      e.preventDefault(), this.go(s, i) },
    resize: function() {
      var e = t("img", ".clearing-blackout .visible-img"),
        i = t(".clearing-touch-label", ".clearing-blackout");
      e.length && (this.center_and_label(e, i), e.trigger("resized.fndtn.clearing")) },
    fix_height: function(t) {
      var e = t.parent().children(),
        i = this;
      return e.each(function() {
        var t = i.S(this),
          e = t.find("img");
        t.height() > e.outerHeight() && t.addClass("fix-height") }).closest("ul").width(100 * e.length + "%"), this },
    update_paddles: function(t) { t = t.closest("li");
      var e = t.closest(".carousel").siblings(".visible-img");
      t.next().length > 0 ? this.S(".clearing-main-next", e).removeClass("disabled") : this.S(".clearing-main-next", e).addClass("disabled"), t.prev().length > 0 ? this.S(".clearing-main-prev", e).removeClass("disabled") : this.S(".clearing-main-prev", e).addClass("disabled") },
    center_and_label: function(t, e) {
      return e.css(!this.rtl && e.length > 0 ? { marginLeft: -(e.outerWidth() / 2), marginTop: -(t.outerHeight() / 2) - e.outerHeight() - 10 } : { marginRight: -(e.outerWidth() / 2), marginTop: -(t.outerHeight() / 2) - e.outerHeight() - 10, left: "auto", right: "50%" }), this },
    load: function(t) {
      var e, i, s;
      return "A" === t[0].nodeName ? (e = t.attr("href"), i = t.data("clearing-interchange")) : (s = t.closest("a"), e = s.attr("href"), i = s.data("clearing-interchange")), this.preload(t), { src: e ? e : t.attr("src"), interchange: e ? i : t.data("clearing-interchange") } },
    preload: function(t) { this.img(t.closest("li").next(), "next").img(t.closest("li").prev(), "prev") },
    img: function(e, i) {
      if (e.length) {
        var s, n, a, o = t(".clearing-preload-" + i),
          r = this.S("a", e);
        r.length ? (s = r.attr("href"), n = r.data("clearing-interchange")) : (a = this.S("img", e), s = a.attr("src"), n = a.data("clearing-interchange")), n ? o.attr("data-interchange", n) : (o.attr("src", s), o.attr("data-interchange", "")) }
      return this },
    caption: function(t, e) {
      var i = e.attr("data-caption");
      return i ? t.html(i).show() : t.text("").hide(), this },
    go: function(t, e) {
      var i = this.S(".visible", t),
        s = i[e]();
      this.settings.skip_selector && 0 != s.find(this.settings.skip_selector).length && (s = s[e]()), s.length && this.S("img", s).trigger("click.fndtn.clearing", [i, s]).trigger("change.fndtn.clearing") },
    shift: function(t, e, i) {
      var s, n = e.parent(),
        a = this.settings.prev_index || e.index(),
        o = this.direction(n, t, e),
        r = this.rtl ? "right" : "left",
        l = parseInt(n.css("left"), 10),
        d = e.outerWidth(),
        h = {};
      e.index() === a || /skip/.test(o) ? /skip/.test(o) && (s = e.index() - this.settings.up_count, this.lock(), s > 0 ? (h[r] = -(s * d), n.animate(h, 300, this.unlock())) : (h[r] = 0, n.animate(h, 300, this.unlock()))) : /left/.test(o) ? (this.lock(), h[r] = l + d, n.animate(h, 300, this.unlock())) : /right/.test(o) && (this.lock(), h[r] = l - d, n.animate(h, 300, this.unlock())), i() },
    direction: function(t, e, i) {
      var s, n = this.S("li", t),
        a = n.outerWidth() + n.outerWidth() / 4,
        o = Math.floor(this.S(".clearing-container").outerWidth() / a) - 1,
        r = n.index(i);
      return this.settings.up_count = o, s = this.adjacent(this.settings.prev_index, r) ? r > o && r > this.settings.prev_index ? "right" : r > o - 1 && r <= this.settings.prev_index ? "left" : !1 : "skip", this.settings.prev_index = r, s },
    adjacent: function(t, e) {
      for (var i = e + 1; i >= e - 1; i--)
        if (i === t) return !0;
      return !1 },
    lock: function() { this.settings.locked = !0 },
    unlock: function() { this.settings.locked = !1 },
    locked: function() {
      return this.settings.locked },
    off: function() { this.S(this.scope).off(".fndtn.clearing"), this.S(e).off(".fndtn.clearing") },
    reflow: function() { this.init() }
  }
}(jQuery, window, window.document),
/*!
 * jQuery Cookie Plugin v1.4.1
 * https://github.com/carhartl/jquery-cookie
 *
 * Copyright 2013 Klaus Hartl
 * Released under the MIT license
 */
! function(t) { "function" == typeof define && define.amd ? define(["jquery"], t) : t("object" == typeof exports ? require("jquery") : jQuery) }(function(t) {
  function e(t) {
    return r.raw ? t : encodeURIComponent(t) }

  function i(t) {
    return r.raw ? t : decodeURIComponent(t) }

  function s(t) {
    return e(r.json ? JSON.stringify(t) : String(t)) }

  function n(t) { 0 === t.indexOf('"') && (t = t.slice(1, -1).replace(/\\"/g, '"').replace(/\\\\/g, "\\"));
    try {
      return t = decodeURIComponent(t.replace(o, " ")), r.json ? JSON.parse(t) : t } catch (e) {} }

  function a(e, i) {
    var s = r.raw ? e : n(e);
    return t.isFunction(i) ? i(s) : s }
  var o = /\+/g,
    r = t.cookie = function(n, o, l) {
      if (void 0 !== o && !t.isFunction(o)) {
        if (l = t.extend({}, r.defaults, l), "number" == typeof l.expires) {
          var d = l.expires,
            h = l.expires = new Date;
          h.setTime(+h + 864e5 * d) }
        return document.cookie = [e(n), "=", s(o), l.expires ? "; expires=" + l.expires.toUTCString() : "", l.path ? "; path=" + l.path : "", l.domain ? "; domain=" + l.domain : "", l.secure ? "; secure" : ""].join("") }
      for (var c = n ? void 0 : {}, u = document.cookie ? document.cookie.split("; ") : [], f = 0, p = u.length; p > f; f++) {
        var g = u[f].split("="),
          _ = i(g.shift()),
          m = g.join("=");
        if (n && n === _) { c = a(m, o);
          break }
        n || void 0 === (m = a(m)) || (c[_] = m) }
      return c };
  r.defaults = {}, t.removeCookie = function(e, i) {
    return void 0 === t.cookie(e) ? !1 : (t.cookie(e, "", t.extend({}, i, { expires: -1 })), !t.cookie(e)) } }),
function(t, e, i, s) { "use strict";
  Foundation.libs.joyride = { name: "joyride", version: "5.5.2", defaults: { expose: !1, modal: !0, keyboard: !0, tip_location: "bottom", nub_position: "auto", scroll_speed: 1500, scroll_animation: "linear", timer: 0, start_timer_on_click: !0, start_offset: 0, next_button: !0, prev_button: !0, tip_animation: "fade", pause_after: [], exposed: [], tip_animation_fade_speed: 300, cookie_monster: !1, cookie_name: "joyride", cookie_domain: !1, cookie_expires: 365, tip_container: "body", abort_on_close: !0, tip_location_patterns: { top: ["bottom"], bottom: [], left: ["right", "top", "bottom"], right: ["left", "top", "bottom"] }, post_ride_callback: function() {}, post_step_callback: function() {}, pre_step_callback: function() {}, pre_ride_callback: function() {}, post_expose_callback: function() {}, template: { link: '<a href="#close" class="joyride-close-tip">&times;</a>', timer: '<div class="joyride-timer-indicator-wrap"><span class="joyride-timer-indicator"></span></div>', tip: '<div class="joyride-tip-guide"><span class="joyride-nub"></span></div>', wrapper: '<div class="joyride-content-wrapper"></div>', button: '<a href="#" class="small button joyride-next-tip"></a>', prev_button: '<a href="#" class="small button joyride-prev-tip"></a>', modal: '<div class="joyride-modal-bg"></div>', expose: '<div class="joyride-expose-wrapper"></div>', expose_cover: '<div class="joyride-expose-cover"></div>' }, expose_add_class: "" }, init: function(e, i, s) { Foundation.inherit(this, "throttle random_str"), this.settings = this.settings || t.extend({}, this.defaults, s || i), this.bindings(i, s) }, go_next: function() { this.settings.$li.next().length < 1 ? this.end() : this.settings.timer > 0 ? (clearTimeout(this.settings.automate), this.hide(), this.show(), this.startTimer()) : (this.hide(), this.show()) }, go_prev: function() { this.settings.$li.prev().length < 1 || (this.settings.timer > 0 ? (clearTimeout(this.settings.automate), this.hide(), this.show(null, !0), this.startTimer()) : (this.hide(), this.show(null, !0))) }, events: function() {
      var i = this;
      t(this.scope).off(".joyride").on("click.fndtn.joyride", ".joyride-next-tip, .joyride-modal-bg", function(t) { t.preventDefault(), this.go_next() }.bind(this)).on("click.fndtn.joyride", ".joyride-prev-tip", function(t) { t.preventDefault(), this.go_prev() }.bind(this)).on("click.fndtn.joyride", ".joyride-close-tip", function(t) { t.preventDefault(), this.end(this.settings.abort_on_close) }.bind(this)).on("keyup.fndtn.joyride", function(t) {
        if (this.settings.keyboard && this.settings.riding) switch (t.which) {
          case 39:
            t.preventDefault(), this.go_next();
            break;
          case 37:
            t.preventDefault(), this.go_prev();
            break;
          case 27:
            t.preventDefault(), this.end(this.settings.abort_on_close) } }.bind(this)), t(e).off(".joyride").on("resize.fndtn.joyride", i.throttle(function() {
        if (t("[" + i.attr_name() + "]").length > 0 && i.settings.$next_tip && i.settings.riding) {
          if (i.settings.exposed.length > 0) {
            var e = t(i.settings.exposed);
            e.each(function() {
              var e = t(this);
              i.un_expose(e), i.expose(e) }) }
          i.is_phone() ? i.pos_phone() : i.pos_default(!1) } }, 100)) }, start: function() {
      var e = this,
        i = t("[" + this.attr_name() + "]", this.scope),
        s = ["timer", "scrollSpeed", "startOffset", "tipAnimationFadeSpeed", "cookieExpires"],
        n = s.length;!i.length > 0 || (this.settings.init || this.events(), this.settings = i.data(this.attr_name(!0) + "-init"), this.settings.$content_el = i, this.settings.$body = t(this.settings.tip_container), this.settings.body_offset = t(this.settings.tip_container).position(), this.settings.$tip_content = this.settings.$content_el.find("> li"), this.settings.paused = !1, this.settings.attempts = 0, this.settings.riding = !0, "function" != typeof t.cookie && (this.settings.cookie_monster = !1), (!this.settings.cookie_monster || this.settings.cookie_monster && !t.cookie(this.settings.cookie_name)) && (this.settings.$tip_content.each(function(i) {
        var a = t(this);
        this.settings = t.extend({}, e.defaults, e.data_options(a));
        for (var o = n; o--;) e.settings[s[o]] = parseInt(e.settings[s[o]], 10);
        e.create({ $li: a, index: i }) }), !this.settings.start_timer_on_click && this.settings.timer > 0 ? (this.show("init"), this.startTimer()) : this.show("init"))) }, resume: function() { this.set_li(), this.show() }, tip_template: function(e) {
      var i, s;
      return e.tip_class = e.tip_class || "", i = t(this.settings.template.tip).addClass(e.tip_class), s = t.trim(t(e.li).html()) + this.prev_button_text(e.prev_button_text, e.index) + this.button_text(e.button_text) + this.settings.template.link + this.timer_instance(e.index), i.append(t(this.settings.template.wrapper)), i.first().attr(this.add_namespace("data-index"), e.index), t(".joyride-content-wrapper", i).append(s), i[0] }, timer_instance: function(e) {
      var i;
      return i = 0 === e && this.settings.start_timer_on_click && this.settings.timer > 0 || 0 === this.settings.timer ? "" : t(this.settings.template.timer)[0].outerHTML }, button_text: function(e) {
      return this.settings.tip_settings.next_button ? (e = t.trim(e) || "Next", e = t(this.settings.template.button).append(e)[0].outerHTML) : e = "", e }, prev_button_text: function(e, i) {
      return this.settings.tip_settings.prev_button ? (e = t.trim(e) || "Previous", e = 0 == i ? t(this.settings.template.prev_button).append(e).addClass("disabled")[0].outerHTML : t(this.settings.template.prev_button).append(e)[0].outerHTML) : e = "", e }, create: function(e) { this.settings.tip_settings = t.extend({}, this.settings, this.data_options(e.$li));
      var i = e.$li.attr(this.add_namespace("data-button")) || e.$li.attr(this.add_namespace("data-text")),
        s = e.$li.attr(this.add_namespace("data-button-prev")) || e.$li.attr(this.add_namespace("data-prev-text")),
        n = e.$li.attr("class"),
        a = t(this.tip_template({ tip_class: n, index: e.index, button_text: i, prev_button_text: s, li: e.$li }));
      t(this.settings.tip_container).append(a) }, show: function(e, i) {
      var n = null;
      if (this.settings.$li === s || -1 === t.inArray(this.settings.$li.index(), this.settings.pause_after))
        if (this.settings.paused ? this.settings.paused = !1 : this.set_li(e, i), this.settings.attempts = 0, this.settings.$li.length && this.settings.$target.length > 0) {
          if (e && (this.settings.pre_ride_callback(this.settings.$li.index(), this.settings.$next_tip), this.settings.modal && this.show_modal()), this.settings.pre_step_callback(this.settings.$li.index(), this.settings.$next_tip), this.settings.modal && this.settings.expose && this.expose(), this.settings.tip_settings = t.extend({}, this.settings, this.data_options(this.settings.$li)), this.settings.timer = parseInt(this.settings.timer, 10), this.settings.tip_settings.tip_location_pattern = this.settings.tip_location_patterns[this.settings.tip_settings.tip_location], !/body/i.test(this.settings.$target.selector)) {
            var a = t(".joyride-modal-bg"); /pop/i.test(this.settings.tipAnimation) ? a.hide() : a.fadeOut(this.settings.tipAnimationFadeSpeed), this.scroll_to() }
          this.is_phone() ? this.pos_phone(!0) : this.pos_default(!0), n = this.settings.$next_tip.find(".joyride-timer-indicator"), /pop/i.test(this.settings.tip_animation) ? (n.width(0), this.settings.timer > 0 ? (this.settings.$next_tip.show(), setTimeout(function() { n.animate({ width: n.parent().width() }, this.settings.timer, "linear") }.bind(this), this.settings.tip_animation_fade_speed)) : this.settings.$next_tip.show()) : /fade/i.test(this.settings.tip_animation) && (n.width(0), this.settings.timer > 0 ? (this.settings.$next_tip.fadeIn(this.settings.tip_animation_fade_speed).show(), setTimeout(function() { n.animate({ width: n.parent().width() }, this.settings.timer, "linear") }.bind(this), this.settings.tip_animation_fade_speed)) : this.settings.$next_tip.fadeIn(this.settings.tip_animation_fade_speed)), this.settings.$current_tip = this.settings.$next_tip } else this.settings.$li && this.settings.$target.length < 1 ? this.show(e, i) : this.end();
      else this.settings.paused = !0 }, is_phone: function() {
      return matchMedia(Foundation.media_queries.small).matches && !matchMedia(Foundation.media_queries.medium).matches }, hide: function() { this.settings.modal && this.settings.expose && this.un_expose(), this.settings.modal || t(".joyride-modal-bg").hide(), this.settings.$current_tip.css("visibility", "hidden"), setTimeout(t.proxy(function() { this.hide(), this.css("visibility", "visible") }, this.settings.$current_tip), 0), this.settings.post_step_callback(this.settings.$li.index(), this.settings.$current_tip) }, set_li: function(t, e) { t ? (this.settings.$li = this.settings.$tip_content.eq(this.settings.start_offset), this.set_next_tip(), this.settings.$current_tip = this.settings.$next_tip) : (this.settings.$li = e ? this.settings.$li.prev() : this.settings.$li.next(), this.set_next_tip()), this.set_target() }, set_next_tip: function() { this.settings.$next_tip = t(".joyride-tip-guide").eq(this.settings.$li.index()), this.settings.$next_tip.data("closed", "") }, set_target: function() {
      var e = this.settings.$li.attr(this.add_namespace("data-class")),
        s = this.settings.$li.attr(this.add_namespace("data-id")),
        n = function() {
          return s ? t(i.getElementById(s)) : e ? t("." + e).first() : t("body") };
      this.settings.$target = n() }, scroll_to: function() {
      var i, s;
      i = t(e).height() / 2, s = Math.ceil(this.settings.$target.offset().top - i + this.settings.$next_tip.outerHeight()), 0 != s && t("html, body").stop().animate({ scrollTop: s }, this.settings.scroll_speed, "swing") }, paused: function() {
      return -1 === t.inArray(this.settings.$li.index() + 1, this.settings.pause_after) }, restart: function() { this.hide(), this.settings.$li = s, this.show("init") }, pos_default: function(t) {
      var e = this.settings.$next_tip.find(".joyride-nub"),
        i = Math.ceil(e.outerWidth() / 2),
        s = Math.ceil(e.outerHeight() / 2),
        n = t || !1;
      if (n && (this.settings.$next_tip.css("visibility", "hidden"), this.settings.$next_tip.show()), /body/i.test(this.settings.$target.selector)) this.settings.$li.length && this.pos_modal(e);
      else {
        var a = this.settings.tip_settings.tipAdjustmentY ? parseInt(this.settings.tip_settings.tipAdjustmentY) : 0,
          o = this.settings.tip_settings.tipAdjustmentX ? parseInt(this.settings.tip_settings.tipAdjustmentX) : 0;
        this.bottom() ? (this.settings.$next_tip.css(this.rtl ? { top: this.settings.$target.offset().top + s + this.settings.$target.outerHeight() + a, left: this.settings.$target.offset().left + this.settings.$target.outerWidth() - this.settings.$next_tip.outerWidth() + o } : { top: this.settings.$target.offset().top + s + this.settings.$target.outerHeight() + a, left: this.settings.$target.offset().left + o }), this.nub_position(e, this.settings.tip_settings.nub_position, "top")) : this.top() ? (this.settings.$next_tip.css(this.rtl ? { top: this.settings.$target.offset().top - this.settings.$next_tip.outerHeight() - s + a, left: this.settings.$target.offset().left + this.settings.$target.outerWidth() - this.settings.$next_tip.outerWidth() } : { top: this.settings.$target.offset().top - this.settings.$next_tip.outerHeight() - s + a, left: this.settings.$target.offset().left + o }), this.nub_position(e, this.settings.tip_settings.nub_position, "bottom")) : this.right() ? (this.settings.$next_tip.css({ top: this.settings.$target.offset().top + a, left: this.settings.$target.outerWidth() + this.settings.$target.offset().left + i + o }), this.nub_position(e, this.settings.tip_settings.nub_position, "left")) : this.left() && (this.settings.$next_tip.css({ top: this.settings.$target.offset().top + a, left: this.settings.$target.offset().left - this.settings.$next_tip.outerWidth() - i + o }), this.nub_position(e, this.settings.tip_settings.nub_position, "right")), !this.visible(this.corners(this.settings.$next_tip)) && this.settings.attempts < this.settings.tip_settings.tip_location_pattern.length && (e.removeClass("bottom").removeClass("top").removeClass("right").removeClass("left"), this.settings.tip_settings.tip_location = this.settings.tip_settings.tip_location_pattern[this.settings.attempts], this.settings.attempts++, this.pos_default()) }
      n && (this.settings.$next_tip.hide(), this.settings.$next_tip.css("visibility", "visible")) }, pos_phone: function(e) {
      var i = this.settings.$next_tip.outerHeight(),
        s = (this.settings.$next_tip.offset(), this.settings.$target.outerHeight()),
        n = t(".joyride-nub", this.settings.$next_tip),
        a = Math.ceil(n.outerHeight() / 2),
        o = e || !1;
      n.removeClass("bottom").removeClass("top").removeClass("right").removeClass("left"), o && (this.settings.$next_tip.css("visibility", "hidden"), this.settings.$next_tip.show()), /body/i.test(this.settings.$target.selector) ? this.settings.$li.length && this.pos_modal(n) : this.top() ? (this.settings.$next_tip.offset({ top: this.settings.$target.offset().top - i - a }), n.addClass("bottom")) : (this.settings.$next_tip.offset({ top: this.settings.$target.offset().top + s + a }), n.addClass("top")), o && (this.settings.$next_tip.hide(), this.settings.$next_tip.css("visibility", "visible")) }, pos_modal: function(t) { this.center(), t.hide(), this.show_modal() }, show_modal: function() {
      if (!this.settings.$next_tip.data("closed")) {
        var e = t(".joyride-modal-bg");
        if (e.length < 1) {
          var e = t(this.settings.template.modal);
          e.appendTo("body") } /pop/i.test(this.settings.tip_animation) ? e.show() : e.fadeIn(this.settings.tip_animation_fade_speed) } }, expose: function() {
      var i, s, n, a, o, r = "expose-" + this.random_str(6);
      if (arguments.length > 0 && arguments[0] instanceof t) n = arguments[0];
      else {
        if (!this.settings.$target || /body/i.test(this.settings.$target.selector)) return !1;
        n = this.settings.$target }
      return n.length < 1 ? (e.console && console.error("element not valid", n), !1) : (i = t(this.settings.template.expose), this.settings.$body.append(i), i.css({ top: n.offset().top, left: n.offset().left, width: n.outerWidth(!0), height: n.outerHeight(!0) }), s = t(this.settings.template.expose_cover), a = { zIndex: n.css("z-index"), position: n.css("position") }, o = null == n.attr("class") ? "" : n.attr("class"), n.css("z-index", parseInt(i.css("z-index")) + 1), "static" == a.position && n.css("position", "relative"), n.data("expose-css", a), n.data("orig-class", o), n.attr("class", o + " " + this.settings.expose_add_class), s.css({ top: n.offset().top, left: n.offset().left, width: n.outerWidth(!0), height: n.outerHeight(!0) }), this.settings.modal && this.show_modal(), this.settings.$body.append(s), i.addClass(r), s.addClass(r), n.data("expose", r), this.settings.post_expose_callback(this.settings.$li.index(), this.settings.$next_tip, n), void this.add_exposed(n)) }, un_expose: function() {
      var i, s, n, a, o, r = !1;
      if (arguments.length > 0 && arguments[0] instanceof t) s = arguments[0];
      else {
        if (!this.settings.$target || /body/i.test(this.settings.$target.selector)) return !1;
        s = this.settings.$target }
      return s.length < 1 ? (e.console && console.error("element not valid", s), !1) : (i = s.data("expose"), n = t("." + i), arguments.length > 1 && (r = arguments[1]), r === !0 ? t(".joyride-expose-wrapper,.joyride-expose-cover").remove() : n.remove(), a = s.data("expose-css"), "auto" == a.zIndex ? s.css("z-index", "") : s.css("z-index", a.zIndex), a.position != s.css("position") && ("static" == a.position ? s.css("position", "") : s.css("position", a.position)), o = s.data("orig-class"), s.attr("class", o), s.removeData("orig-classes"), s.removeData("expose"), s.removeData("expose-z-index"), void this.remove_exposed(s)) }, add_exposed: function(e) { this.settings.exposed = this.settings.exposed || [], e instanceof t || "object" == typeof e ? this.settings.exposed.push(e[0]) : "string" == typeof e && this.settings.exposed.push(e) }, remove_exposed: function(e) {
      var i, s;
      for (e instanceof t ? i = e[0] : "string" == typeof e && (i = e), this.settings.exposed = this.settings.exposed || [], s = this.settings.exposed.length; s--;)
        if (this.settings.exposed[s] == i) return void this.settings.exposed.splice(s, 1) }, center: function() {
      var i = t(e);
      return this.settings.$next_tip.css({ top: (i.height() - this.settings.$next_tip.outerHeight()) / 2 + i.scrollTop(), left: (i.width() - this.settings.$next_tip.outerWidth()) / 2 + i.scrollLeft() }), !0 }, bottom: function() {
      return /bottom/i.test(this.settings.tip_settings.tip_location) }, top: function() {
      return /top/i.test(this.settings.tip_settings.tip_location) }, right: function() {
      return /right/i.test(this.settings.tip_settings.tip_location) }, left: function() {
      return /left/i.test(this.settings.tip_settings.tip_location) }, corners: function(i) {
      var s = t(e),
        n = s.height() / 2,
        a = Math.ceil(this.settings.$target.offset().top - n + this.settings.$next_tip.outerHeight()),
        o = s.width() + s.scrollLeft(),
        r = s.height() + a,
        l = s.height() + s.scrollTop(),
        d = s.scrollTop();
      return d > a && (d = 0 > a ? 0 : a), r > l && (l = r), [i.offset().top < d, o < i.offset().left + i.outerWidth(), l < i.offset().top + i.outerHeight(), s.scrollLeft() > i.offset().left] }, visible: function(t) {
      for (var e = t.length; e--;)
        if (t[e]) return !1;
      return !0 }, nub_position: function(t, e, i) { t.addClass("auto" === e ? i : e) }, startTimer: function() { this.settings.$li.length ? this.settings.automate = setTimeout(function() { this.hide(), this.show(), this.startTimer() }.bind(this), this.settings.timer) : clearTimeout(this.settings.automate) }, end: function(e) { this.settings.cookie_monster && t.cookie(this.settings.cookie_name, "ridden", { expires: this.settings.cookie_expires, domain: this.settings.cookie_domain }), this.settings.timer > 0 && clearTimeout(this.settings.automate), this.settings.modal && this.settings.expose && this.un_expose(), t(this.scope).off("keyup.joyride"), this.settings.$next_tip.data("closed", !0), this.settings.riding = !1, t(".joyride-modal-bg").hide(), this.settings.$current_tip.hide(), ("undefined" == typeof e || e === !1) && (this.settings.post_step_callback(this.settings.$li.index(), this.settings.$current_tip), this.settings.post_ride_callback(this.settings.$li.index(), this.settings.$current_tip)), t(".joyride-tip-guide").remove() }, off: function() { t(this.scope).off(".joyride"), t(e).off(".joyride"), t(".joyride-close-tip, .joyride-next-tip, .joyride-modal-bg").off(".joyride"), t(".joyride-tip-guide, .joyride-modal-bg").remove(), clearTimeout(this.settings.automate), this.settings = {} }, reflow: function() {} } }(jQuery, window, window.document),
function(t, e) { "use strict";
  Foundation.libs["magellan-expedition"] = { name: "magellan-expedition", version: "5.5.2", settings: { active_class: "active", threshold: 0, destination_threshold: 20, throttle_delay: 30, fixed_top: 0, offset_by_height: !0, duration: 700, easing: "swing" }, init: function(t, e, i) { Foundation.inherit(this, "throttle"), this.bindings(e, i) }, events: function() {
      var e = this,
        i = e.S,
        s = e.settings;
      e.set_expedition_position(), i(e.scope).off(".magellan").on("click.fndtn.magellan", "[" + e.add_namespace("data-magellan-arrival") + "] a[href*=#]", function(i) {
        var s = this.hostname === location.hostname || !this.hostname,
          n = e.filterPathname(location.pathname) === e.filterPathname(this.pathname),
          a = this.hash.replace(/(:|\.|\/)/g, "\\$1"),
          o = this;
        if (s && n && a) { i.preventDefault();
          var r = t(this).closest("[" + e.attr_name() + "]"),
            l = r.data("magellan-expedition-init"),
            d = this.hash.split("#").join(""),
            h = t('a[name="' + d + '"]');
          0 === h.length && (h = t("#" + d));
          var c = h.offset().top - l.destination_threshold + 1;
          l.offset_by_height && (c -= r.outerHeight()), t("html, body").stop().animate({ scrollTop: c }, l.duration, l.easing, function() { history.pushState ? history.pushState(null, null, o.pathname + "#" + d) : location.hash = o.pathname + "#" + d }) } }).on("scroll.fndtn.magellan", e.throttle(this.check_for_arrivals.bind(this), s.throttle_delay)) }, check_for_arrivals: function() {
      var t = this;
      t.update_arrivals(), t.update_expedition_positions() }, set_expedition_position: function() {
      var e = this;
      t("[" + this.attr_name() + "=fixed]", e.scope).each(function() {
        var i, s, n = t(this),
          a = n.data("magellan-expedition-init"),
          o = n.attr("styles");
        n.attr("style", ""), i = n.offset().top + a.threshold, s = parseInt(n.data("magellan-fixed-top")), isNaN(s) || (e.settings.fixed_top = s), n.data(e.data_attr("magellan-top-offset"), i), n.attr("style", o) }) }, update_expedition_positions: function() {
      var i = this,
        s = t(e).scrollTop();
      t("[" + this.attr_name() + "=fixed]", i.scope).each(function() {
        var e = t(this),
          n = e.data("magellan-expedition-init"),
          a = e.attr("style"),
          o = e.data("magellan-top-offset");
        if (s + i.settings.fixed_top >= o) {
          var r = e.prev("[" + i.add_namespace("data-magellan-expedition-clone") + "]");
          0 === r.length && (r = e.clone(), r.removeAttr(i.attr_name()), r.attr(i.add_namespace("data-magellan-expedition-clone"), ""), e.before(r)), e.css({ position: "fixed", top: n.fixed_top }).addClass("fixed") } else e.prev("[" + i.add_namespace("data-magellan-expedition-clone") + "]").remove(), e.attr("style", a).css("position", "").css("top", "").removeClass("fixed") }) }, update_arrivals: function() {
      var i = this,
        s = t(e).scrollTop();
      t("[" + this.attr_name() + "]", i.scope).each(function() {
        var e = t(this),
          n = e.data(i.attr_name(!0) + "-init"),
          a = i.offsets(e, s),
          o = e.find("[" + i.add_namespace("data-magellan-arrival") + "]"),
          r = !1;
        a.each(function(t, s) {
          if (s.viewport_offset >= s.top_offset) {
            var a = e.find("[" + i.add_namespace("data-magellan-arrival") + "]");
            return a.not(s.arrival).removeClass(n.active_class), s.arrival.addClass(n.active_class), r = !0, !0 } }), r || o.removeClass(n.active_class) }) }, offsets: function(e, i) {
      var s = this,
        n = e.data(s.attr_name(!0) + "-init"),
        a = i;
      return e.find("[" + s.add_namespace("data-magellan-arrival") + "]").map(function() {
        var i = t(this).data(s.data_attr("magellan-arrival")),
          o = t("[" + s.add_namespace("data-magellan-destination") + "=" + i + "]");
        if (o.length > 0) {
          var r = o.offset().top - n.destination_threshold;
          return n.offset_by_height && (r -= e.outerHeight()), r = Math.floor(r), { destination: o, arrival: t(this), top_offset: r, viewport_offset: a } } }).sort(function(t, e) {
        return t.top_offset < e.top_offset ? -1 : t.top_offset > e.top_offset ? 1 : 0 }) }, data_attr: function(t) {
      return this.namespace.length > 0 ? this.namespace + "-" + t : t }, off: function() { this.S(this.scope).off(".magellan"), this.S(e).off(".magellan") }, filterPathname: function(t) {
      return t = t || "", t.replace(/^\//, "").replace(/(?:index|default).[a-zA-Z]{3,4}$/, "").replace(/\/$/, "") }, reflow: function() {
      var e = this;
      t("[" + e.add_namespace("data-magellan-expedition-clone") + "]", e.scope).remove() } } }(jQuery, window, window.document),
function(t) { "use strict";
  Foundation.libs.offcanvas = { name: "offcanvas", version: "5.5.2", settings: { open_method: "move", close_on_click: !1 }, init: function(t, e, i) { this.bindings(e, i) }, events: function() {
      var e = this,
        i = e.S,
        s = "",
        n = "",
        a = ""; "move" === this.settings.open_method ? (s = "move-", n = "right", a = "left") : "overlap_single" === this.settings.open_method ? (s = "offcanvas-overlap-", n = "right", a = "left") : "overlap" === this.settings.open_method && (s = "offcanvas-overlap"), i(this.scope).off(".offcanvas").on("click.fndtn.offcanvas", ".left-off-canvas-toggle", function(a) { e.click_toggle_class(a, s + n), "overlap" !== e.settings.open_method && i(".left-submenu").removeClass(s + n), t(".left-off-canvas-toggle").attr("aria-expanded", "true") }).on("click.fndtn.offcanvas", ".left-off-canvas-menu a", function(a) {
        var o = e.get_settings(a),
          r = i(this).parent();!o.close_on_click || r.hasClass("has-submenu") || r.hasClass("back") ? i(this).parent().hasClass("has-submenu") ? (a.preventDefault(), i(this).siblings(".left-submenu").toggleClass(s + n)) : r.hasClass("back") && (a.preventDefault(), r.parent().removeClass(s + n)) : (e.hide.call(e, s + n, e.get_wrapper(a)), r.parent().removeClass(s + n)), t(".left-off-canvas-toggle").attr("aria-expanded", "true") }).on("click.fndtn.offcanvas", ".right-off-canvas-toggle", function(n) { e.click_toggle_class(n, s + a), "overlap" !== e.settings.open_method && i(".right-submenu").removeClass(s + a), t(".right-off-canvas-toggle").attr("aria-expanded", "true") }).on("click.fndtn.offcanvas", ".right-off-canvas-menu a", function(n) {
        var o = e.get_settings(n),
          r = i(this).parent();!o.close_on_click || r.hasClass("has-submenu") || r.hasClass("back") ? i(this).parent().hasClass("has-submenu") ? (n.preventDefault(), i(this).siblings(".right-submenu").toggleClass(s + a)) : r.hasClass("back") && (n.preventDefault(), r.parent().removeClass(s + a)) : (e.hide.call(e, s + a, e.get_wrapper(n)), r.parent().removeClass(s + a)), t(".right-off-canvas-toggle").attr("aria-expanded", "true") }).on("click.fndtn.offcanvas", ".exit-off-canvas", function(o) { e.click_remove_class(o, s + a), i(".right-submenu").removeClass(s + a), n && (e.click_remove_class(o, s + n), i(".left-submenu").removeClass(s + a)), t(".right-off-canvas-toggle").attr("aria-expanded", "true") }).on("click.fndtn.offcanvas", ".exit-off-canvas", function(i) { e.click_remove_class(i, s + a), t(".left-off-canvas-toggle").attr("aria-expanded", "false"), n && (e.click_remove_class(i, s + n), t(".right-off-canvas-toggle").attr("aria-expanded", "false")) }) }, toggle: function(t, e) { e = e || this.get_wrapper(), e.is("." + t) ? this.hide(t, e) : this.show(t, e) }, show: function(t, e) { e = e || this.get_wrapper(), e.trigger("open.fndtn.offcanvas"), e.addClass(t) }, hide: function(t, e) { e = e || this.get_wrapper(), e.trigger("close.fndtn.offcanvas"), e.removeClass(t) }, click_toggle_class: function(t, e) { t.preventDefault();
      var i = this.get_wrapper(t);
      this.toggle(e, i) }, click_remove_class: function(t, e) { t.preventDefault();
      var i = this.get_wrapper(t);
      this.hide(e, i) }, get_settings: function(t) {
      var e = this.S(t.target).closest("[" + this.attr_name() + "]");
      return e.data(this.attr_name(!0) + "-init") || this.settings }, get_wrapper: function(t) {
      var e = this.S(t ? t.target : this.scope).closest(".off-canvas-wrap");
      return 0 === e.length && (e = this.S(".off-canvas-wrap")), e }, reflow: function() {} } }(jQuery, window, window.document),
function(t, e, i, s) {
  "use strict";

  function n(t) {
    var e = /fade/i.test(t),
      i = /pop/i.test(t);
    return { animate: e || i, pop: i, fade: e } }
  Foundation.libs.reveal = {
    name: "reveal",
    version: "5.5.2",
    locked: !1,
    settings: { animation: "fadeAndPop", animation_speed: 250, close_on_background_click: !0, close_on_esc: !0, dismiss_modal_class: "close-reveal-modal", multiple_opened: !1, bg_class: "reveal-modal-bg", root_element: "body", open: function() {}, opened: function() {}, close: function() {}, closed: function() {}, on_ajax_error: t.noop, bg: t(".reveal-modal-bg"), css: { open: { opacity: 0, visibility: "visible", display: "block" }, close: { opacity: 1, visibility: "hidden", display: "none" } } },
    init: function(e, i, s) { t.extend(!0, this.settings, i, s), this.bindings(i, s) },
    events: function() {
      var t = this,
        e = t.S;
      return e(this.scope).off(".reveal").on("click.fndtn.reveal", "[" + this.add_namespace("data-reveal-id") + "]:not([disabled])", function(i) {
        if (i.preventDefault(), !t.locked) {
          var s = e(this),
            n = s.data(t.data_attr("reveal-ajax")),
            a = s.data(t.data_attr("reveal-replace-content"));
          if (t.locked = !0, "undefined" == typeof n) t.open.call(t, s);
          else {
            var o = n === !0 ? s.attr("href") : n;
            t.open.call(t, s, { url: o }, { replaceContentSel: a }) } } }), e(i).on("click.fndtn.reveal", this.close_targets(), function(i) {
        if (i.preventDefault(), !t.locked) {
          var s = e("[" + t.attr_name() + "].open").data(t.attr_name(!0) + "-init") || t.settings,
            n = e(i.target)[0] === e("." + s.bg_class)[0];
          if (n) {
            if (!s.close_on_background_click) return;
            i.stopPropagation() }
          t.locked = !0, t.close.call(t, n ? e("[" + t.attr_name() + "].open:not(.toback)") : e(this).closest("[" + t.attr_name() + "]")) } }), e("[" + t.attr_name() + "]", this.scope).length > 0 ? e(this.scope).on("open.fndtn.reveal", this.settings.open).on("opened.fndtn.reveal", this.settings.opened).on("opened.fndtn.reveal", this.open_video).on("close.fndtn.reveal", this.settings.close).on("closed.fndtn.reveal", this.settings.closed).on("closed.fndtn.reveal", this.close_video) : e(this.scope).on("open.fndtn.reveal", "[" + t.attr_name() + "]", this.settings.open).on("opened.fndtn.reveal", "[" + t.attr_name() + "]", this.settings.opened).on("opened.fndtn.reveal", "[" + t.attr_name() + "]", this.open_video).on("close.fndtn.reveal", "[" + t.attr_name() + "]", this.settings.close).on("closed.fndtn.reveal", "[" + t.attr_name() + "]", this.settings.closed).on("closed.fndtn.reveal", "[" + t.attr_name() + "]", this.close_video), !0 },
    key_up_on: function() {
      var t = this;
      return t.S("body").off("keyup.fndtn.reveal").on("keyup.fndtn.reveal", function(e) {
        var i = t.S("[" + t.attr_name() + "].open"),
          s = i.data(t.attr_name(!0) + "-init") || t.settings;
        s && 27 === e.which && s.close_on_esc && !t.locked && t.close.call(t, i) }), !0 },
    key_up_off: function() {
      return this.S("body").off("keyup.fndtn.reveal"), !0 },
    open: function(i, s) {
      var n, a = this;
      i ? "undefined" != typeof i.selector ? n = a.S("#" + i.data(a.data_attr("reveal-id"))).first() : (n = a.S(this.scope), s = i) : n = a.S(this.scope);
      var o = n.data(a.attr_name(!0) + "-init");
      if (o = o || this.settings, n.hasClass("open") && i.attr("data-reveal-id") == n.attr("id")) return a.close(n);
      if (!n.hasClass("open")) {
        var r = a.S("[" + a.attr_name() + "].open");
        if ("undefined" == typeof n.data("css-top") && n.data("css-top", parseInt(n.css("top"), 10)).data("offset", this.cache_offset(n)), n.attr("tabindex", "0").attr("aria-hidden", "false"), this.key_up_on(n), n.on("open.fndtn.reveal", function(t) { "fndtn.reveal" !== t.namespace }), n.on("open.fndtn.reveal").trigger("open.fndtn.reveal"), r.length < 1 && this.toggle_bg(n, !0), "string" == typeof s && (s = { url: s }), "undefined" != typeof s && s.url) {
          var l = "undefined" != typeof s.success ? s.success : null;
          t.extend(s, { success: function(e, i, s) {
              if (t.isFunction(l)) {
                var d = l(e, i, s); "string" == typeof d && (e = d) } "undefined" != typeof options && "undefined" != typeof options.replaceContentSel ? n.find(options.replaceContentSel).html(e) : n.html(e), a.S(n).foundation("section", "reflow"), a.S(n).children().foundation(), r.length > 0 && (o.multiple_opened ? a.to_back(r) : a.hide(r, o.css.close)), a.show(n, o.css.open) } }), o.on_ajax_error !== t.noop && t.extend(s, { error: o.on_ajax_error }), t.ajax(s) } else r.length > 0 && (o.multiple_opened ? a.to_back(r) : a.hide(r, o.css.close)), this.show(n, o.css.open) }
      a.S(e).trigger("resize") },
    close: function(e) {
      var e = e && e.length ? e : this.S(this.scope),
        i = this.S("[" + this.attr_name() + "].open"),
        s = e.data(this.attr_name(!0) + "-init") || this.settings,
        n = this;
      i.length > 0 && (e.removeAttr("tabindex", "0").attr("aria-hidden", "true"), this.locked = !0, this.key_up_off(e), e.trigger("close.fndtn.reveal"), (s.multiple_opened && 1 === i.length || !s.multiple_opened || e.length > 1) && (n.toggle_bg(e, !1), n.to_front(e)), s.multiple_opened ? (n.hide(e, s.css.close, s), n.to_front(t(t.makeArray(i).reverse()[1]))) : n.hide(i, s.css.close, s)) },
    close_targets: function() {
      var t = "." + this.settings.dismiss_modal_class;
      return this.settings.close_on_background_click ? t + ", ." + this.settings.bg_class : t },
    toggle_bg: function(e, i) { 0 === this.S("." + this.settings.bg_class).length && (this.settings.bg = t("<div />", { "class": this.settings.bg_class }).appendTo("body").hide());
      var n = this.settings.bg.filter(":visible").length > 0;
      i != n && ((i == s ? n : !i) ? this.hide(this.settings.bg) : this.show(this.settings.bg)) },
    show: function(i, s) {
      if (s) {
        var a = i.data(this.attr_name(!0) + "-init") || this.settings,
          o = a.root_element,
          r = this;
        if (0 === i.parent(o).length) {
          var l = i.wrap('<div style="display: none;" />').parent();
          i.on("closed.fndtn.reveal.wrapped", function() { i.detach().appendTo(l), i.unwrap().unbind("closed.fndtn.reveal.wrapped") }), i.detach().appendTo(o) }
        var d = n(a.animation);
        if (d.animate || (this.locked = !1), d.pop) { s.top = t(e).scrollTop() - i.data("offset") + "px";
          var h = { top: t(e).scrollTop() + i.data("css-top") + "px", opacity: 1 };
          return setTimeout(function() {
            return i.css(s).animate(h, a.animation_speed, "linear", function() { r.locked = !1, i.trigger("opened.fndtn.reveal") }).addClass("open") }, a.animation_speed / 2) }
        if (d.fade) { s.top = t(e).scrollTop() + i.data("css-top") + "px";
          var h = { opacity: 1 };
          return setTimeout(function() {
            return i.css(s).animate(h, a.animation_speed, "linear", function() { r.locked = !1, i.trigger("opened.fndtn.reveal") }).addClass("open") }, a.animation_speed / 2) }
        return i.css(s).show().css({ opacity: 1 }).addClass("open").trigger("opened.fndtn.reveal") }
      var a = this.settings;
      return n(a.animation).fade ? i.fadeIn(a.animation_speed / 2) : (this.locked = !1, i.show()) },
    to_back: function(t) { t.addClass("toback") },
    to_front: function(t) { t.removeClass("toback") },
    hide: function(i, s) {
      if (s) {
        var a = i.data(this.attr_name(!0) + "-init"),
          o = this;
        a = a || this.settings;
        var r = n(a.animation);
        if (r.animate || (this.locked = !1), r.pop) {
          var l = { top: -t(e).scrollTop() - i.data("offset") + "px", opacity: 0 };
          return setTimeout(function() {
            return i.animate(l, a.animation_speed, "linear", function() { o.locked = !1, i.css(s).trigger("closed.fndtn.reveal") }).removeClass("open") }, a.animation_speed / 2) }
        if (r.fade) {
          var l = { opacity: 0 };
          return setTimeout(function() {
            return i.animate(l, a.animation_speed, "linear", function() { o.locked = !1, i.css(s).trigger("closed.fndtn.reveal") }).removeClass("open") }, a.animation_speed / 2) }
        return i.hide().css(s).removeClass("open").trigger("closed.fndtn.reveal") }
      var a = this.settings;
      return n(a.animation).fade ? i.fadeOut(a.animation_speed / 2) : i.hide() },
    close_video: function(e) {
      var i = t(".flex-video", e.target),
        s = t("iframe", i);
      s.length > 0 && (s.attr("data-src", s[0].src), s.attr("src", s.attr("src")), i.hide()) },
    open_video: function(e) {
      var i = t(".flex-video", e.target),
        n = i.find("iframe");
      if (n.length > 0) {
        var a = n.attr("data-src");
        if ("string" == typeof a) n[0].src = n.attr("data-src");
        else {
          var o = n[0].src;
          n[0].src = s, n[0].src = o }
        i.show() } },
    data_attr: function(t) {
      return this.namespace.length > 0 ? this.namespace + "-" + t : t },
    cache_offset: function(t) {
      var e = t.show().height() + parseInt(t.css("top"), 10) + t.scrollY;
      return t.hide(), e
    },
    off: function() { t(this.scope).off(".fndtn.reveal") },
    reflow: function() {}
  }
}(jQuery, window, window.document),
function(t, e) { "use strict";
  Foundation.libs.slider = { name: "slider", version: "5.5.2", settings: { start: 0, end: 100, step: 1, precision: null, initial: null, display_selector: "", vertical: !1, trigger_input_change: !1, on_change: function() {} }, cache: {}, init: function(t, e, i) { Foundation.inherit(this, "throttle"), this.bindings(e, i), this.reflow() }, events: function() {
      var i = this;
      t(this.scope).off(".slider").on("mousedown.fndtn.slider touchstart.fndtn.slider pointerdown.fndtn.slider", "[" + i.attr_name() + "]:not(.disabled, [disabled]) .range-slider-handle", function(e) { i.cache.active || (e.preventDefault(), i.set_active_slider(t(e.target))) }).on("mousemove.fndtn.slider touchmove.fndtn.slider pointermove.fndtn.slider", function(s) {
        if (i.cache.active)
          if (s.preventDefault(), t.data(i.cache.active[0], "settings").vertical) {
            var n = 0;
            s.pageY || (n = e.scrollY), i.calculate_position(i.cache.active, i.get_cursor_position(s, "y") + n) } else i.calculate_position(i.cache.active, i.get_cursor_position(s, "x")) }).on("mouseup.fndtn.slider touchend.fndtn.slider pointerup.fndtn.slider", function() { i.remove_active_slider() }).on("change.fndtn.slider", function() { i.settings.on_change() }), i.S(e).on("resize.fndtn.slider", i.throttle(function() { i.reflow() }, 300)), this.S("[" + this.attr_name() + "]").each(function() {
        var e = t(this),
          s = e.children(".range-slider-handle")[0],
          n = i.initialize_settings(s); "" != n.display_selector && t(n.display_selector).each(function() { this.hasOwnProperty("value") && t(this).change(function() { e.foundation("slider", "set_value", t(this).val()) }) }) }) }, get_cursor_position: function(t, e) {
      var i, s = "page" + e.toUpperCase(),
        n = "client" + e.toUpperCase();
      return "undefined" != typeof t[s] ? i = t[s] : "undefined" != typeof t.originalEvent[n] ? i = t.originalEvent[n] : t.originalEvent.touches && t.originalEvent.touches[0] && "undefined" != typeof t.originalEvent.touches[0][n] ? i = t.originalEvent.touches[0][n] : t.currentPoint && "undefined" != typeof t.currentPoint[e] && (i = t.currentPoint[e]), i }, set_active_slider: function(t) { this.cache.active = t }, remove_active_slider: function() { this.cache.active = null }, calculate_position: function(e, i) {
      var s = this,
        n = t.data(e[0], "settings"),
        a = (t.data(e[0], "handle_l"), t.data(e[0], "handle_o"), t.data(e[0], "bar_l")),
        o = t.data(e[0], "bar_o");
      requestAnimationFrame(function() {
        var t;
        t = Foundation.rtl && !n.vertical ? s.limit_to((o + a - i) / a, 0, 1) : s.limit_to((i - o) / a, 0, 1), t = n.vertical ? 1 - t : t;
        var r = s.normalized_value(t, n.start, n.end, n.step, n.precision);
        s.set_ui(e, r) }) }, set_ui: function(e, i) {
      var s = t.data(e[0], "settings"),
        n = t.data(e[0], "handle_l"),
        a = t.data(e[0], "bar_l"),
        o = this.normalized_percentage(i, s.start, s.end),
        r = o * (a - n) - 1,
        l = 100 * o,
        d = e.parent(),
        h = e.parent().children("input[type=hidden]");
      Foundation.rtl && !s.vertical && (r = -r), r = s.vertical ? -r + a - n + 1 : r, this.set_translate(e, r, s.vertical), s.vertical ? e.siblings(".range-slider-active-segment").css("height", l + "%") : e.siblings(".range-slider-active-segment").css("width", l + "%"), d.attr(this.attr_name(), i).trigger("change.fndtn.slider"), h.val(i), s.trigger_input_change && h.trigger("change.fndtn.slider"), e[0].hasAttribute("aria-valuemin") || e.attr({ "aria-valuemin": s.start, "aria-valuemax": s.end }), e.attr("aria-valuenow", i), "" != s.display_selector && t(s.display_selector).each(function() { this.hasAttribute("value") ? t(this).val(i) : t(this).text(i) }) }, normalized_percentage: function(t, e, i) {
      return Math.min(1, (t - e) / (i - e)) }, normalized_value: function(t, e, i, s, n) {
      var a = i - e,
        o = t * a,
        r = (o - o % s) / s,
        l = o % s,
        d = l >= .5 * s ? s : 0;
      return (r * s + d + e).toFixed(n) }, set_translate: function(e, i, s) { s ? t(e).css("-webkit-transform", "translateY(" + i + "px)").css("-moz-transform", "translateY(" + i + "px)").css("-ms-transform", "translateY(" + i + "px)").css("-o-transform", "translateY(" + i + "px)").css("transform", "translateY(" + i + "px)") : t(e).css("-webkit-transform", "translateX(" + i + "px)").css("-moz-transform", "translateX(" + i + "px)").css("-ms-transform", "translateX(" + i + "px)").css("-o-transform", "translateX(" + i + "px)").css("transform", "translateX(" + i + "px)") }, limit_to: function(t, e, i) {
      return Math.min(Math.max(t, e), i) }, initialize_settings: function(e) {
      var i, s = t.extend({}, this.settings, this.data_options(t(e).parent()));
      return null === s.precision && (i = ("" + s.step).match(/\.([\d]*)/), s.precision = i && i[1] ? i[1].length : 0), s.vertical ? (t.data(e, "bar_o", t(e).parent().offset().top), t.data(e, "bar_l", t(e).parent().outerHeight()), t.data(e, "handle_o", t(e).offset().top), t.data(e, "handle_l", t(e).outerHeight())) : (t.data(e, "bar_o", t(e).parent().offset().left), t.data(e, "bar_l", t(e).parent().outerWidth()), t.data(e, "handle_o", t(e).offset().left), t.data(e, "handle_l", t(e).outerWidth())), t.data(e, "bar", t(e).parent()), t.data(e, "settings", s) }, set_initial_position: function(e) {
      var i = t.data(e.children(".range-slider-handle")[0], "settings"),
        s = "number" != typeof i.initial || isNaN(i.initial) ? Math.floor(.5 * (i.end - i.start) / i.step) * i.step + i.start : i.initial,
        n = e.children(".range-slider-handle");
      this.set_ui(n, s) }, set_value: function(e) {
      var i = this;
      t("[" + i.attr_name() + "]", this.scope).each(function() { t(this).attr(i.attr_name(), e) }), t(this.scope).attr(i.attr_name()) && t(this.scope).attr(i.attr_name(), e), i.reflow() }, reflow: function() {
      var e = this;
      e.S("[" + this.attr_name() + "]").each(function() {
        var i = t(this).children(".range-slider-handle")[0],
          s = t(this).attr(e.attr_name());
        e.initialize_settings(i), s ? e.set_ui(t(i), parseFloat(s)) : e.set_initial_position(t(this)) }) } } }(jQuery, window, window.document),
function(t, e, i, s) { "use strict";
  Foundation.libs.tab = { name: "tab", version: "5.5.2", settings: { active_class: "active", callback: function() {}, deep_linking: !1, scroll_to_content: !0, is_hover: !1 }, default_tab_hashes: [], init: function(t, i, s) {
      var n = this,
        a = this.S;
      a("[" + this.attr_name() + "] > .active > a", this.scope).each(function() { n.default_tab_hashes.push(this.hash) }), n.entry_location = e.location.href, this.bindings(i, s), this.handle_location_hash_change() }, events: function() {
      var t = this,
        i = this.S,
        s = function(e, s) {
          var n = i(s).closest("[" + t.attr_name() + "]").data(t.attr_name(!0) + "-init");
          (!n.is_hover || Modernizr.touch) && (e.preventDefault(), e.stopPropagation(), t.toggle_active_tab(i(s).parent())) };
      i(this.scope).off(".tab").on("keydown.fndtn.tab", "[" + this.attr_name() + "] > * > a", function(t) {
        var e = this,
          i = t.keyCode || t.which;
        9 == i && (t.preventDefault(), s(t, e)) }).on("click.fndtn.tab", "[" + this.attr_name() + "] > * > a", function(t) {
        var e = this;
        s(t, e) }).on("mouseenter.fndtn.tab", "[" + this.attr_name() + "] > * > a", function() {
        var e = i(this).closest("[" + t.attr_name() + "]").data(t.attr_name(!0) + "-init");
        e.is_hover && t.toggle_active_tab(i(this).parent()) }), i(e).on("hashchange.fndtn.tab", function(e) { e.preventDefault(), t.handle_location_hash_change() }) }, handle_location_hash_change: function() {
      var e = this,
        i = this.S;
      i("[" + this.attr_name() + "]", this.scope).each(function() {
        var n = i(this).data(e.attr_name(!0) + "-init");
        if (n.deep_linking) {
          var a;
          if (a = n.scroll_to_content ? e.scope.location.hash : e.scope.location.hash.replace("fndtn-", ""), "" != a) {
            var o = i(a);
            if (o.hasClass("content") && o.parent().hasClass("tabs-content")) e.toggle_active_tab(t("[" + e.attr_name() + "] > * > a[href=" + a + "]").parent());
            else {
              var r = o.closest(".content").attr("id");
              r != s && e.toggle_active_tab(t("[" + e.attr_name() + "] > * > a[href=#" + r + "]").parent(), a) } } else
            for (var l = 0; l < e.default_tab_hashes.length; l++) e.toggle_active_tab(t("[" + e.attr_name() + "] > * > a[href=" + e.default_tab_hashes[l] + "]").parent()) } }) }, toggle_active_tab: function(n, a) {
      var o = this,
        r = o.S,
        l = n.closest("[" + this.attr_name() + "]"),
        d = n.find("a"),
        h = n.children("a").first(),
        c = "#" + h.attr("href").split("#")[1],
        u = r(c),
        f = n.siblings(),
        p = l.data(this.attr_name(!0) + "-init"),
        g = function(e) {
          var s, n = t(this),
            a = t(this).parents("li").prev().children('[role="tab"]'),
            o = t(this).parents("li").next().children('[role="tab"]');
          switch (e.keyCode) {
            case 37:
              s = a;
              break;
            case 39:
              s = o;
              break;
            default:
              s = !1 }
          s.length && (n.attr({ tabindex: "-1", "aria-selected": null }), s.attr({ tabindex: "0", "aria-selected": !0 }).focus()), t('[role="tabpanel"]').attr("aria-hidden", "true"), t("#" + t(i.activeElement).attr("href").substring(1)).attr("aria-hidden", null) },
        _ = function(t) {
          var i = e.location.href === o.entry_location,
            s = p.scroll_to_content ? o.default_tab_hashes[0] : i ? e.location.hash : "fndtn-" + o.default_tab_hashes[0].replace("#", "");
          i && t === s || (e.location.hash = t) };
      h.data("tab-content") && (c = "#" + h.data("tab-content").split("#")[1], u = r(c)), p.deep_linking && (p.scroll_to_content ? (_(a || c), a == s || a == c ? n.parent()[0].scrollIntoView() : r(c)[0].scrollIntoView()) : _(a != s ? "fndtn-" + a.replace("#", "") : "fndtn-" + c.replace("#", ""))), n.addClass(p.active_class).triggerHandler("opened"), d.attr({ "aria-selected": "true", tabindex: 0 }), f.removeClass(p.active_class), f.find("a").attr({ "aria-selected": "false", tabindex: -1 }), u.siblings().removeClass(p.active_class).attr({ "aria-hidden": "true", tabindex: -1 }), u.addClass(p.active_class).attr("aria-hidden", "false").removeAttr("tabindex"), p.callback(n), u.triggerHandler("toggled", [u]), l.triggerHandler("toggled", [n]), d.off("keydown").on("keydown", g) }, data_attr: function(t) {
      return this.namespace.length > 0 ? this.namespace + "-" + t : t }, off: function() {}, reflow: function() {} } }(jQuery, window, window.document),
function(t, e) { "use strict";
  Foundation.libs.tooltip = { name: "tooltip", version: "5.5.2", settings: { additional_inheritable_classes: [], tooltip_class: ".tooltip", append_to: "body", touch_close_text: "Tap To Close", disable_for_touch: !1, hover_delay: 200, show_on: "all", tip_template: function(t, e) {
        return '<span data-selector="' + t + '" id="' + t + '" class="' + Foundation.libs.tooltip.settings.tooltip_class.substring(1) + '" role="tooltip">' + e + '<span class="nub"></span></span>' } }, cache: {}, init: function(t, e, i) { Foundation.inherit(this, "random_str"), this.bindings(e, i) }, should_show: function(e) {
      var i = t.extend({}, this.settings, this.data_options(e));
      return "all" === i.show_on ? !0 : this.small() && "small" === i.show_on ? !0 : this.medium() && "medium" === i.show_on ? !0 : this.large() && "large" === i.show_on ? !0 : !1 }, medium: function() {
      return matchMedia(Foundation.media_queries.medium).matches }, large: function() {
      return matchMedia(Foundation.media_queries.large).matches }, events: function(e) {
      function i(t, e, i) { t.timer || (i ? (t.timer = null, n.showTip(e)) : t.timer = setTimeout(function() { t.timer = null, n.showTip(e) }.bind(t), n.settings.hover_delay)) }

      function s(t, e) { t.timer && (clearTimeout(t.timer), t.timer = null), n.hide(e) }
      var n = this,
        a = n.S;
      n.create(this.S(e)), t(this.scope).off(".tooltip").on("mouseenter.fndtn.tooltip mouseleave.fndtn.tooltip touchstart.fndtn.tooltip MSPointerDown.fndtn.tooltip", "[" + this.attr_name() + "]", function(e) {
        var o = a(this),
          r = t.extend({}, n.settings, n.data_options(o)),
          l = !1;
        if (Modernizr.touch && /touchstart|MSPointerDown/i.test(e.type) && a(e.target).is("a")) return !1;
        if (/mouse/i.test(e.type) && n.ie_touch(e)) return !1;
        if (o.hasClass("open")) Modernizr.touch && /touchstart|MSPointerDown/i.test(e.type) && e.preventDefault(), n.hide(o);
        else {
          if (r.disable_for_touch && Modernizr.touch && /touchstart|MSPointerDown/i.test(e.type)) return;
          if (!r.disable_for_touch && Modernizr.touch && /touchstart|MSPointerDown/i.test(e.type) && (e.preventDefault(), a(r.tooltip_class + ".open").hide(), l = !0, t(".open[" + n.attr_name() + "]").length > 0)) {
            var d = a(t(".open[" + n.attr_name() + "]")[0]);
            n.hide(d) } /enter|over/i.test(e.type) ? i(this, o) : "mouseout" === e.type || "mouseleave" === e.type ? s(this, o) : i(this, o, !0) } }).on("mouseleave.fndtn.tooltip touchstart.fndtn.tooltip MSPointerDown.fndtn.tooltip", "[" + this.attr_name() + "].open", function(e) {
        return /mouse/i.test(e.type) && n.ie_touch(e) ? !1 : void(("touch" != t(this).data("tooltip-open-event-type") || "mouseleave" != e.type) && ("mouse" == t(this).data("tooltip-open-event-type") && /MSPointerDown|touchstart/i.test(e.type) ? n.convert_to_touch(t(this)) : s(this, t(this)))) }).on("DOMNodeRemoved DOMAttrModified", "[" + this.attr_name() + "]:not(a)", function() { s(this, a(this)) }) }, ie_touch: function() {
      return !1 }, showTip: function(t) {
      var e = this.getTip(t);
      return this.should_show(t, e) ? this.show(t) : void 0 }, getTip: function(e) {
      var i = this.selector(e),
        s = t.extend({}, this.settings, this.data_options(e)),
        n = null;
      return i && (n = this.S('span[data-selector="' + i + '"]' + s.tooltip_class)), "object" == typeof n ? n : !1 }, selector: function(t) {
      var e = t.attr(this.attr_name()) || t.attr("data-selector");
      return "string" != typeof e && (e = this.random_str(6), t.attr("data-selector", e).attr("aria-describedby", e)), e }, create: function(i) {
      var s = this,
        n = t.extend({}, this.settings, this.data_options(i)),
        a = this.settings.tip_template; "string" == typeof n.tip_template && e.hasOwnProperty(n.tip_template) && (a = e[n.tip_template]);
      var o = t(a(this.selector(i), t("<div></div>").html(i.attr("title")).html())),
        r = this.inheritable_classes(i);
      o.addClass(r).appendTo(n.append_to), Modernizr.touch && (o.append('<span class="tap-to-close">' + n.touch_close_text + "</span>"), o.on("touchstart.fndtn.tooltip MSPointerDown.fndtn.tooltip", function() { s.hide(i) })), i.removeAttr("title").attr("title", "") }, reposition: function(e, i, s) {
      var n, a, o, r, l;
      if (i.css("visibility", "hidden").show(), n = e.data("width"), a = i.children(".nub"), o = a.outerHeight(), r = a.outerHeight(), i.css(this.small() ? { width: "100%" } : { width: n ? n : "auto" }), l = function(t, e, i, s, n) {
          return t.css({ top: e ? e : "auto", bottom: s ? s : "auto", left: n ? n : "auto", right: i ? i : "auto" }).end() }, l(i, e.offset().top + e.outerHeight() + 10, "auto", "auto", e.offset().left), this.small()) l(i, e.offset().top + e.outerHeight() + 10, "auto", "auto", 12.5, t(this.scope).width()), i.addClass("tip-override"), l(a, -o, "auto", "auto", e.offset().left);
      else {
        var d = e.offset().left;
        Foundation.rtl && (a.addClass("rtl"), d = e.offset().left + e.outerWidth() - i.outerWidth()), l(i, e.offset().top + e.outerHeight() + 10, "auto", "auto", d), a.attr("style") && a.removeAttr("style"), i.removeClass("tip-override"), s && s.indexOf("tip-top") > -1 ? (Foundation.rtl && a.addClass("rtl"), l(i, e.offset().top - i.outerHeight(), "auto", "auto", d).removeClass("tip-override")) : s && s.indexOf("tip-left") > -1 ? (l(i, e.offset().top + e.outerHeight() / 2 - i.outerHeight() / 2, "auto", "auto", e.offset().left - i.outerWidth() - o).removeClass("tip-override"), a.removeClass("rtl")) : s && s.indexOf("tip-right") > -1 && (l(i, e.offset().top + e.outerHeight() / 2 - i.outerHeight() / 2, "auto", "auto", e.offset().left + e.outerWidth() + o).removeClass("tip-override"), a.removeClass("rtl")) }
      i.css("visibility", "visible").hide() }, small: function() {
      return matchMedia(Foundation.media_queries.small).matches && !matchMedia(Foundation.media_queries.medium).matches }, inheritable_classes: function(e) {
      var i = t.extend({}, this.settings, this.data_options(e)),
        s = ["tip-top", "tip-left", "tip-bottom", "tip-right", "radius", "round"].concat(i.additional_inheritable_classes),
        n = e.attr("class"),
        a = n ? t.map(n.split(" "), function(e) {
          return -1 !== t.inArray(e, s) ? e : void 0 }).join(" ") : "";
      return t.trim(a) }, convert_to_touch: function(e) {
      var i = this,
        s = i.getTip(e),
        n = t.extend({}, i.settings, i.data_options(e));
      0 === s.find(".tap-to-close").length && (s.append('<span class="tap-to-close">' + n.touch_close_text + "</span>"), s.on("click.fndtn.tooltip.tapclose touchstart.fndtn.tooltip.tapclose MSPointerDown.fndtn.tooltip.tapclose", function() { i.hide(e) })), e.data("tooltip-open-event-type", "touch") }, show: function(t) {
      var e = this.getTip(t); "touch" == t.data("tooltip-open-event-type") && this.convert_to_touch(t), this.reposition(t, e, t.attr("class")), t.addClass("open"), e.fadeIn(150) }, hide: function(t) {
      var e = this.getTip(t);
      e.fadeOut(150, function() { e.find(".tap-to-close").remove(), e.off("click.fndtn.tooltip.tapclose MSPointerDown.fndtn.tapclose"), t.removeClass("open") }) }, off: function() {
      var e = this;
      this.S(this.scope).off(".fndtn.tooltip"), this.S(this.settings.tooltip_class).each(function(i) { t("[" + e.attr_name() + "]").eq(i).attr("title", t(this).text()) }).remove() }, reflow: function() {} } }(jQuery, window, window.document),
function(t, e, i) { "use strict";
  Foundation.libs.topbar = { name: "topbar", version: "5.5.2", settings: { index: 0, start_offset: 0, sticky_class: "sticky", custom_back_text: !0, back_text: "Back", mobile_show_parent_link: !0, is_hover: !0, scrolltop: !0, sticky_on: "all", dropdown_autoclose: !0 }, init: function(e, i, s) { Foundation.inherit(this, "add_custom_rule register_media throttle");
      var n = this;
      n.register_media("topbar", "foundation-mq-topbar"), this.bindings(i, s), n.S("[" + this.attr_name() + "]", this.scope).each(function() {
        {
          var e = t(this),
            i = e.data(n.attr_name(!0) + "-init");
          n.S("section, .top-bar-section", this) }
        e.data("index", 0);
        var s = e.parent();
        s.hasClass("fixed") || n.is_sticky(e, s, i) ? (n.settings.sticky_class = i.sticky_class, n.settings.sticky_topbar = e, e.data("height", s.outerHeight()), e.data("stickyoffset", s.offset().top)) : e.data("height", e.outerHeight()), i.assembled || n.assemble(e), i.is_hover ? n.S(".has-dropdown", e).addClass("not-click") : n.S(".has-dropdown", e).removeClass("not-click"), n.add_custom_rule(".f-topbar-fixed { padding-top: " + e.data("height") + "px }"), s.hasClass("fixed") && n.S("body").addClass("f-topbar-fixed") }) }, is_sticky: function(t, e, i) {
      var s = e.hasClass(i.sticky_class),
        n = matchMedia(Foundation.media_queries.small).matches,
        a = matchMedia(Foundation.media_queries.medium).matches,
        o = matchMedia(Foundation.media_queries.large).matches;
      return s && "all" === i.sticky_on ? !0 : s && this.small() && -1 !== i.sticky_on.indexOf("small") && n && !a && !o ? !0 : s && this.medium() && -1 !== i.sticky_on.indexOf("medium") && n && a && !o ? !0 : s && this.large() && -1 !== i.sticky_on.indexOf("large") && n && a && o ? !0 : !1 }, toggle: function(i) {
      var s, n = this;
      s = i ? n.S(i).closest("[" + this.attr_name() + "]") : n.S("[" + this.attr_name() + "]");
      var a = s.data(this.attr_name(!0) + "-init"),
        o = n.S("section, .top-bar-section", s);
      n.breakpoint() && (n.rtl ? (o.css({ right: "0%" }), t(">.name", o).css({ right: "100%" })) : (o.css({ left: "0%" }), t(">.name", o).css({ left: "100%" })), n.S("li.moved", o).removeClass("moved"), s.data("index", 0), s.toggleClass("expanded").css("height", "")), a.scrolltop ? s.hasClass("expanded") ? s.parent().hasClass("fixed") && (a.scrolltop ? (s.parent().removeClass("fixed"), s.addClass("fixed"), n.S("body").removeClass("f-topbar-fixed"), e.scrollTo(0, 0)) : s.parent().removeClass("expanded")) : s.hasClass("fixed") && (s.parent().addClass("fixed"), s.removeClass("fixed"), n.S("body").addClass("f-topbar-fixed")) : (n.is_sticky(s, s.parent(), a) && s.parent().addClass("fixed"), s.parent().hasClass("fixed") && (s.hasClass("expanded") ? (s.addClass("fixed"), s.parent().addClass("expanded"), n.S("body").addClass("f-topbar-fixed")) : (s.removeClass("fixed"), s.parent().removeClass("expanded"), n.update_sticky_positioning()))) }, timer: null, events: function() {
      var i = this,
        s = this.S;
      s(this.scope).off(".topbar").on("click.fndtn.topbar", "[" + this.attr_name() + "] .toggle-topbar", function(t) { t.preventDefault(), i.toggle(this) }).on("click.fndtn.topbar contextmenu.fndtn.topbar", '.top-bar .top-bar-section li a[href^="#"],[' + this.attr_name() + '] .top-bar-section li a[href^="#"]', function() {
        var e = t(this).closest("li"),
          s = e.closest("[" + i.attr_name() + "]"),
          n = s.data(i.attr_name(!0) + "-init");
        if (n.dropdown_autoclose && n.is_hover) {
          var a = t(this).closest(".hover");
          a.removeClass("hover") }!i.breakpoint() || e.hasClass("back") || e.hasClass("has-dropdown") || i.toggle() }).on("click.fndtn.topbar", "[" + this.attr_name() + "] li.has-dropdown", function(e) {
        var n = s(this),
          a = s(e.target),
          o = n.closest("[" + i.attr_name() + "]"),
          r = o.data(i.attr_name(!0) + "-init");
        return a.data("revealId") ? void i.toggle() : void(i.breakpoint() || (!r.is_hover || Modernizr.touch) && (e.stopImmediatePropagation(), n.hasClass("hover") ? (n.removeClass("hover").find("li").removeClass("hover"), n.parents("li.hover").removeClass("hover")) : (n.addClass("hover"), t(n).siblings().removeClass("hover"), "A" === a[0].nodeName && a.parent().hasClass("has-dropdown") && e.preventDefault()))) }).on("click.fndtn.topbar", "[" + this.attr_name() + "] .has-dropdown>a", function(t) {
        if (i.breakpoint()) { t.preventDefault();
          var e = s(this),
            n = e.closest("[" + i.attr_name() + "]"),
            a = n.find("section, .top-bar-section"),
            o = (e.next(".dropdown").outerHeight(), e.closest("li"));
          n.data("index", n.data("index") + 1), o.addClass("moved"), i.rtl ? (a.css({ right: -(100 * n.data("index")) + "%" }), a.find(">.name").css({ right: 100 * n.data("index") + "%" })) : (a.css({ left: -(100 * n.data("index")) + "%" }), a.find(">.name").css({ left: 100 * n.data("index") + "%" })), n.css("height", e.siblings("ul").outerHeight(!0) + n.data("height")) } }), s(e).off(".topbar").on("resize.fndtn.topbar", i.throttle(function() { i.resize.call(i) }, 50)).trigger("resize.fndtn.topbar").load(function() { s(this).trigger("resize.fndtn.topbar") }), s("body").off(".topbar").on("click.fndtn.topbar", function(t) {
        var e = s(t.target).closest("li").closest("li.hover");
        e.length > 0 || s("[" + i.attr_name() + "] li.hover").removeClass("hover") }), s(this.scope).on("click.fndtn.topbar", "[" + this.attr_name() + "] .has-dropdown .back", function(t) { t.preventDefault();
        var e = s(this),
          n = e.closest("[" + i.attr_name() + "]"),
          a = n.find("section, .top-bar-section"),
          o = (n.data(i.attr_name(!0) + "-init"), e.closest("li.moved")),
          r = o.parent();
        n.data("index", n.data("index") - 1), i.rtl ? (a.css({ right: -(100 * n.data("index")) + "%" }), a.find(">.name").css({ right: 100 * n.data("index") + "%" })) : (a.css({ left: -(100 * n.data("index")) + "%" }), a.find(">.name").css({ left: 100 * n.data("index") + "%" })), 0 === n.data("index") ? n.css("height", "") : n.css("height", r.outerHeight(!0) + n.data("height")), setTimeout(function() { o.removeClass("moved") }, 300) }), s(this.scope).find(".dropdown a").focus(function() { t(this).parents(".has-dropdown").addClass("hover") }).blur(function() { t(this).parents(".has-dropdown").removeClass("hover") }) }, resize: function() {
      var t = this;
      t.S("[" + this.attr_name() + "]").each(function() {
        var e, s = t.S(this),
          n = s.data(t.attr_name(!0) + "-init"),
          a = s.parent("." + t.settings.sticky_class);
        if (!t.breakpoint()) {
          var o = s.hasClass("expanded");
          s.css("height", "").removeClass("expanded").find("li").removeClass("hover"), o && t.toggle(s) }
        t.is_sticky(s, a, n) && (a.hasClass("fixed") ? (a.removeClass("fixed"), e = a.offset().top, t.S(i.body).hasClass("f-topbar-fixed") && (e -= s.data("height")), s.data("stickyoffset", e), a.addClass("fixed")) : (e = a.offset().top, s.data("stickyoffset", e))) }) }, breakpoint: function() {
      return !matchMedia(Foundation.media_queries.topbar).matches }, small: function() {
      return matchMedia(Foundation.media_queries.small).matches }, medium: function() {
      return matchMedia(Foundation.media_queries.medium).matches }, large: function() {
      return matchMedia(Foundation.media_queries.large).matches }, assemble: function(e) {
      var i = this,
        s = e.data(this.attr_name(!0) + "-init"),
        n = i.S("section, .top-bar-section", e);
      n.detach(), i.S(".has-dropdown>a", n).each(function() {
        var e, n = i.S(this),
          a = n.siblings(".dropdown"),
          o = n.attr("href");
        a.find(".title.back").length || (e = t(1 == s.mobile_show_parent_link && o ? '<li class="title back js-generated"><h5><a href="javascript:void(0)"></a></h5></li><li class="parent-link hide-for-medium-up"><a class="parent-link js-generated" href="' + o + '">' + n.html() + "</a></li>" : '<li class="title back js-generated"><h5><a href="javascript:void(0)"></a></h5>'), t("h5>a", e).html(1 == s.custom_back_text ? s.back_text : "&laquo; " + n.html()), a.prepend(e)) }), n.appendTo(e), this.sticky(), this.assembled(e) }, assembled: function(e) { e.data(this.attr_name(!0), t.extend({}, e.data(this.attr_name(!0)), { assembled: !0 })) }, height: function(e) {
      var i = 0,
        s = this;
      return t("> li", e).each(function() { i += s.S(this).outerHeight(!0) }), i }, sticky: function() {
      var t = this;
      this.S(e).on("scroll", function() { t.update_sticky_positioning() }) }, update_sticky_positioning: function() {
      var t = "." + this.settings.sticky_class,
        i = this.S(e),
        s = this;
      if (s.settings.sticky_topbar && s.is_sticky(this.settings.sticky_topbar, this.settings.sticky_topbar.parent(), this.settings)) {
        var n = this.settings.sticky_topbar.data("stickyoffset") + this.settings.start_offset;
        s.S(t).hasClass("expanded") || (i.scrollTop() > n ? s.S(t).hasClass("fixed") || (s.S(t).addClass("fixed"), s.S("body").addClass("f-topbar-fixed")) : i.scrollTop() <= n && s.S(t).hasClass("fixed") && (s.S(t).removeClass("fixed"), s.S("body").removeClass("f-topbar-fixed"))) } }, off: function() { this.S(this.scope).off(".fndtn.topbar"), this.S(e).off(".fndtn.topbar") }, reflow: function() {} } }(jQuery, window, window.document);
