/* global MembershipInterface */

(function(){

    "use strict";

    // add the response listener
    window.addEventListener('message', function(event) {

        // log the response
        switch (event.data.method) {

            case "logIn":
                // if user is null, there's no current session
                if (event.data.data.user === null) {
                    $('#login-form input[type=submit]').val("LOGIN").removeAttr("disabled");
                    $(".error-message.error-login").html("Login failed").fadeIn();
                    return;
                }

                // go home
                window.location = "index.html";
                break;
        }
    });

    $(function() {

        $("#login-form").submit(function() {
            var user = $('#login-form input[name=username]').val();
            var pass = $('#login-form input[name=password]').val();

            $('#login-form input[type=submit]').val("LOGGING IN...").attr("disabled", true);
            MembershipInterface.logIn('ms-frame', user, pass);
            return false;
        });
    });

})();
